<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

session_start();

require_once('../lib/gettext/gettext.inc');
include_once('../inc/config.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/func_log.inc.php');
if ((CheckURLLog(TRUE) == FALSE) OR (CheckNivLog('5-9') == FALSE)) {
    header('Location: ../index.php');
}
include_once('../inc/func.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../inc/fic_co.inc.php');

include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();

// Ce champ ne doit pas être nettoyé (codes HTML)
$cgv = valpost('texte');

// Nettoyage du POST
$_POST = clean_str($_POST);

$titre = valpost('titre');
$td = valpost('td');

$code = str_majuscules(valpost('code'));
$nom = str_majuscules(valpost('nom'));
$desc = valpost('desc');
$actif = valpost('actif');
$specif = valpost('specif');
$retourliste = TRUE;

$codeuser = valsession('code_log');

switch ($td) {
    // Ajout de la fiche Contrat Type
    case 'add' :
        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
        $rech = 'SELECT COUNT(*) FROM `' . TBCO . "` WHERE `co_code` = '" . $db->escape($code) . "'";
        $nb_rs = $db->get_var($rech);
        if ($nb_rs == 0) {
            $rech2 = 'INSERT INTO `' . TBCO . '`';
            $rech2 .= ' (co_datecrea,co_codecrea,co_datemod,co_codemod,co_code,co_nom,co_desc,co_cgv,co_actif,co_specif) VALUES';
            $rech2 .= " ('$datea','$codeuser','$datea','$codeuser','" . $db->escape($code) . "','" . $db->escape($nom) . "','";
            $rech2 .= $db->escape($desc) . "','" . $db->escape($cgv) . "','$actif','$specif')";
            $db->query($rech2);
            $msg = _('Fiche ajoutée');
        } else {
            $msg = _('Ce code existe déjà');
            $retourliste = FALSE;
        }
        close_database();
        break;

    // Modification de la fiche contrat type
    case 'edit' :
        // Vérifie si utilisé dans un contrat-client
        if (exist_co_in_cocl($code) == TRUE) {
            $existecocl = TRUE;
            $msg = _('Ce contrat type est utilisé dans un contrat-client');
            $retourliste = FALSE;
        } else {
            $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

            // MAJ de la fiche Contrat type
            $rech = 'UPDATE `' . TBCO . "` SET `co_datemod`='" . $datea . "', `co_codemod`='" . $codeuser . "',";
            $rech .= " `co_code`='" . $code . "', `co_nom`='" . $db->escape($nom) . "',";
            $rech .= " `co_desc`='" . $db->escape($desc) . "', `co_cgv`='" . $db->escape($cgv) . "',";
            $rech .= " `co_actif`='" . $actif . "', `co_specif`='" . $specif . "'   WHERE `co_code` = '" . $db->escape($code) . "'";
            $db->query($rech);

            $msg = _('Fiche modifiée');
            close_database();
        }
        break;

    case 'del' :
        $existecocl = FALSE;

        // Vérifie si utilisé dans un contrat-client
        if (exist_co_in_cocl($code) == TRUE) {
            $existecocl = TRUE;
            $msg = _('Ce contrat type est utilisé dans un contrat-client');
            $retourliste = FALSE;
        } else {
            $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

            // SUPPRESSION de la fiche Contrat type
            $rech = 'DELETE FROM `' . TBCO . "` WHERE `co_code` = '" . $db->escape($code) . "'";
            $db->query($rech);

            close_database();

            $msg = _('Fiche supprimée');
        }
        break;
    default :
        $msg = _('Problème de paramètres');
        $retourliste = FALSE;
        break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Fiche contrat type'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            <?php
            if ($retourliste == FALSE)
                {echo "warn_txt('" . str_escape($msg) . "');";}
            ?>
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>

<?php
include_once('../inc/entete.inc.php');
cre_ent_form($titre, '', '', '', FALSE);
if ($retourliste == FALSE) {
    aff_ret_idx_man($td, 'co_lst.php', _('Retour à la liste'), TRUE);
} else {
    pop_ret_auto($msg, 'ok', 'co_lst.php');
}
include_once('pied.php');
?>
</body>
</html>
