<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

session_start();

require_once('../lib/gettext/gettext.inc');
include_once('../inc/config.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/func_log.inc.php');
if ((CheckURLLog(TRUE) == FALSE) OR (CheckNivLog('5-9') == FALSE)) {
    header('Location: ../index.php');
}
include_once('../inc/func.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = valpost('titre');
$td = valpost('td');

$code = str_majuscules(valpost('code'));
$ccpta = valpost('ccpta');
$desc = str_majuscules(valpost('desc'));
$img = valpost('image');

$tab_clcg = [];
if (count(valpost('clcgintc')) > 0) {
    $tab_clcgintc = valpost('clcgintc');
    foreach ($tab_clcgintc as $selval) {
        if ($selval <> '') {
            $tab_clcg[] = $selval;
        }
    }
}
$retourliste = TRUE;

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

switch ($td) {
    // Ajout de la fiche Catégorie
    case 'add' :
        $rech = 'SELECT COUNT(*) FROM `' . TBINTC . "` WHERE intc_code = '$code'";
        $nb_rs = $db->get_var($rech);
        if ($nb_rs == 0) {
            $rech2 = 'INSERT INTO `' . TBINTC . '` (intc_code,intc_desc,intc_ccpta,intc_img,intc_delok) VALUES';
            $rech2 .= " ('" . $db->escape($code) . "','" . $db->escape($desc) . "','" . $db->escape($ccpta) . "','" . $db->escape($img) . "','1')";
            $db->query($rech2);

            // Ajout des champs groupements check-list
            if (count($tab_clcg) > 0) {
                foreach ($tab_clcg as $key => $clcg) {
                    if (trim($clcg) <> '') {
                        $rech3 = 'INSERT INTO `' . TBCLCGINTC . '` (clcgintc_codeclc,clcgintc_codeintc) VALUES';
                        $rech3 .= " ('" . $db->escape($clcg) . "','" . $db->escape($code) . "')";
                        $db->query($rech2);
                    }

                }
            }

            $msg = _('Fiche ajoutée');
        } else {
            $msg = _('Ce code existe déjà');
            $retourliste = FALSE;
        }
        break;

    // Modification de la fiche Catégorie
    case 'edit' :
        $rech = 'UPDATE `' . TBINTC . "` SET `intc_desc`='" . $db->escape($desc) . "',";
        $rech .= "  `intc_ccpta`='" . $db->escape($ccpta) . "' WHERE `intc_code` = '" . $code . "'";
        $db->query($rech);

        // Mise à jour des groupements champs check-list
        if (count($tab_clcg) > 0) {
            // On supprime d'abord les anciens groupements check-lists
            $rech2 = 'DELETE FROM `' . TBCLCGINTC . "` WHERE `clcgintc_codeintc` = '$code'";
            $db->query($rech2);

            // On ajoute les check-lists sélectionnés
            foreach ($tab_clcg as $key => $clcg) {
                if (trim($clcg) <> '') {
                    $rech2 = 'INSERT INTO `' . TBCLCGINTC . '` (clcgintc_codeclcg,clcgintc_codeintc) VALUES';
                    $rech2 .= " ('" . $db->escape($clcg) . "','" . $db->escape($code) . "')";
                    $db->query($rech2);
                }

            }
        }
        $msg = _('Fiche modifiée');
        break;

    // Suppression de la fiche Catégorie
    case 'del' :
        // Vérifie si utilisé dans une fiche intervention
        $rexist = 'SELECT * FROM `' . TBINT . "` WHERE `int_codecat` = '$code'";
        $nb_rs = $db->get_var($rexist);
        if ($nb_rs <> 0) {
            $msg = _('Cette catégorie est utilisée dans une fiche intervention');
            $retourliste = FALSE;
        } else {
            // Vérifie si on peut supprimer cette catégorie
            $rexist = 'SELECT * FROM `' . TBINTC . "` WHERE `intc_code` = '$code' AND `intc_delok` = '1'";
            $nb_rs = $db->get_var($rexist);
            if ($nb_rs <> 0) {
                // SUPPRESSION des check-list rattachées
                $rech = 'DELETE FROM `' . TBCLCGINTC . "` WHERE `clcgintc_codeintc` = '$code'";
                $db->query($rech);

                // SUPPRESSION de la fiche Catégorie
                $rech = 'DELETE FROM `' . TBINTC . "` WHERE `intc_code` = '$code'";
                $db->query($rech);
                $msg = _('Fiche supprimée');
            } else {
                $msg = _('Suppression impossible');
                $retourliste = FALSE;
            }
        }
        break;

    default :
        $msg = _('Problème de paramètres');
        $retourliste = FALSE;
        break;
}
close_database();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Fiche Catégorie Intervention'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            <?php
            if ($retourliste == FALSE)
                {echo "warn_txt('" . str_escape($msg) . "');";}
            ?>
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>

<?php include_once('../inc/entete.inc.php');
cre_ent_form($titre, '', '', '', FALSE);
if ($retourliste == FALSE) {
    aff_ret_idx_man($td, 'intc_lst.php', _('Retour à la liste'), TRUE);
} else {
    pop_ret_auto($msg, 'ok', 'intc_lst.php');
}
include_once('pied.php');
?>
</body>
</html>