<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

session_start();

require_once('../lib/gettext/gettext.inc');
include_once('../inc/config.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/func_log.inc.php');
if ((CheckURLLog(TRUE) == FALSE) OR (CheckNivLog('5-9') == FALSE)) {
    header('Location: ../index.php');
}
include_once('../inc/func.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = valpost('titre');
$td = valpost('td');

$code = str_majuscules(valpost('code'));
$desc = str_majuscules(valpost('desc'));
$rpdt = (int)valpost('rpdt');
$rlic = (int)valpost('rlic');
$assu = (int)valpost('assu');
$dist = (int)valpost('dist');
$oc = (int)valpost('oc');

$retourliste = TRUE;
$msg = '';

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
switch ($td) {
    // Ajout de la fiche Type
    case 'add' :
        $rech = 'SELECT COUNT(*) FROM `' . TBMQUET . "` WHERE `mquet_code` = '" . $db->escape($code) . "'";
        $nb_rs = $db->get_var($rech);
        if ($nb_rs == 0) {
            $sql2 = 'INSERT INTO `' . TBMQUET . '`(mquet_code,mquet_desc,mquet_rpdt,mquet_rlic,mquet_assu,mquet_dist,mquet_oc)';
            $sql2 .= " VALUES ('" . $db->escape($code) . "','" . $db->escape($desc) . "','" . $rpdt . "','" . $rlic . "','" . $assu . "','" . $dist . "','" . $oc . "')";
            $db->query($sql2);
            $msg = _('Fiche ajoutée');
        } else {
            $msg = _('Ce code existe déjà');
            $retourliste = FALSE;
        }
        break;

    // Modification de la fiche Type
    case 'edit' :
        $sql2 = 'UPDATE `' . TBMQUET . "` SET `mquet_desc`='" . $db->escape($desc) . "', `mquet_rpdt`='" . $rpdt . "',";
        $sql2 .= " `mquet_rlic`='" . $rlic . "', `mquet_assu`='" . $assu . "', `mquet_dist`='" . $dist . "', `mquet_oc`='" . $oc . "'";
        $sql2 .= " WHERE `mquet_code` = '" . $db->escape($code) . "'";
        $db->query($sql2);
        $msg = _('Fiche modifiée');
        break;

    // Suppression de la fiche Type
    case 'del' :
        $delok = TRUE;
        // Vérifie si on peut supprimer ce type
        $rech = 'SELECT COUNT(*) FROM `' . TBMQUET . "` WHERE `mquet_code` = '" . $db->escape($code) . "' AND `mquet_delok` = '0'";
        $nb_rs = $db->get_var($rech);
        if ($nb_rs > 0) {
            $msg = _('Suppression impossible');
            $retourliste = FALSE;
            $delok = FALSE;
        } else {
            // Vérifie si utilisé dans une fiche marque
            $rexist = 'SELECT COUNT(*) FROM `' . TBMQUE . "` WHERE `mque_codemquet` = '" . $db->escape($code) . "'";
            $nb_rs = $db->get_var($rech);
            if ($nb_rs <> 0) {
                $msg = _('Ce type de marque est utilisé dans une marque');
                $retourliste = FALSE;
            } else {
                // Non -> suppression de la fiche Catégorie
                $rech = 'DELETE FROM `' . TBMQUET . "` WHERE `mquet_code` = '" . $db->escape($code) . "'";
                $db->query($rech);
                $msg = _('Fiche supprimée');
            }
        }
        break;
    default :
        $msg = _('Problème de paramètres');
        $retourliste = FALSE;
        break;
}
close_database();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Fiche Catégorie Marque'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>

<?php include_once('../inc/entete.inc.php');
cre_ent_form($titre, '', '', '', FALSE);
if ($retourliste == FALSE) {
    exec_func_js("warn_txt('" . str_escape($msg) . "')");
    aff_ret_idx_man($td, 'mquet_lst.php', _('Retour à la liste'), TRUE);
} else {
    pop_ret_auto($msg, 'ok', 'mquet_lst.php');
}
include_once('pied.php');
?>
</body>
</html>