<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

session_start();

require_once('../lib/gettext/gettext.inc');
include_once('../inc/config.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/func_log.inc.php');
if ((CheckURLLog(FALSE) == FALSE) OR (CheckNivLog('5-9') == FALSE)) {
    header('Location: ../index.php');
}
include_once('../inc/func.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../inc/lst.inc.php');

include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
$_SESSION['typ_filtres'] = 'ta';

// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$td = $_GET['td'];

$pbm_ta = FALSE;
$titre_compl = '';

switch ($td) {
    case 'doss' :
        $titre_compl = _('DOSSIERS DE SUIVI');
        break;

    case 'tra' :
        $titre_compl = _('TRACABILITE');
        break;

    default :
        $pbm_ta = TRUE;
        break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Liste types actions'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            init_autohref_classe('falselnkimg', '');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>

<body>

<?php
include_once('../inc/entete.inc.php');
cre_ent_form(_('TYPES ACTIONS'), '', '', '', FALSE);
$fic_imp = '';
$url_add = 'ta_maj.php?td=add&tx=' . $td . '&code=';

if ($pbm_ta == FALSE) {
    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

    $rech = cree_strrechlstta();

    switch ($td) {
        case 'doss' :
            if (!stristr($rech, 'WHERE ')) {
                $rech .= ' WHERE ';
            } else {
                $rech .= ' AND ';
            }
            $rech .= ' ' . TBTA . '.ta_doss=1';
            break;

        case 'tra' :
            if (!stristr($rech, 'WHERE ')) {
                $rech .= ' WHERE ';
            } else {
                $rech .= ' AND ';
            }
            $rech .= ' ' . TBTA . '.ta_tra=1';
            break;
    }

    $rech .= crestr_triord($ta_titre_col, 'ta_code', FALSE, $limit);

    $rows = $db->get_results($rech, ARRAY_A);
    close_database();

    if ($rows) {
        include_once('../inc/formr.inc.php');

        $numrows = count($rows);

        $rech = modstr_triord($rech, $ta_titre_col, 'ta_code', TRUE, $limit);

        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

        $rows = $db->get_results($rech, ARRAY_A);

        // *** Pagination de pied
        pagine_lst($numrows, $limit);

        // *** Affichage de la table
        echo '<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">';

        // création entête
        titlst($ta_titre_col);
        echo '<th>' . ucfirst('icône') . '</th>';
        echo '<th>' . _('Cliquer') . '</th>';

        $i = 0;

        foreach ($rows as $row) {
            $row = encode_str($row);
            // création de l'entête de ligne (TR)
            echo '<tr>';

            echo '<td>' . $row['ta_code'] . '</td>';
            echo '<td>' . $row['ta_desc'] . '</td>';
            echo '<td>';
            echo '<div align="center">';
            if ($row['ta_img'] <> '') {
                echo ' <img src="' . $row['ta_img'] . '" border="0" align="absmiddle">';
            } else {
                echo '-';
            }
            echo '</div>';
            echo '</td>';

            // CREATION lien dynamique sur icône (édition, suppression, etc...)
            echo '<td align="center">';
            if ($row['ta_univ'] == 0) {
                $lst_maj = TRUE;
                cre_falselnk_img('', 'ta_edit_' . $row['ta_id'], 'span', 'center', _('Edition'), 'lnk', 'ta_maj.php?td=edit&tx=' . $td . '&code=' . $row['ta_code'], '../img/edit.png');
                if ($row['ta_delok'] == 1) {
                    $lst_del = TRUE;
                    cre_falselnk_img('', 'ta_del_' . $row['ta_id'], 'span', 'center', _('Suppression'), 'lnk', 'ta_maj.php?td=del&tx=' . $td . '&code=' . $row['ta_code'], '../img/del.png');
                }
            } else {
                $lst_view = TRUE;
                cre_falselnk_img('', 'ta_view_' . $row['ta_id'], 'span', 'center', _('Edition'), 'lnk', 'ta_maj.php?td=view&tx=' . $td . '&code=' . $row['ta_code'], '../img/edit.png');

            }
            echo '</td>';

            echo '</tr>';

            $i++;
        }
        echo '</table>';
        // *** Fin affichage de la table

        close_database();

        // *** Pagination de pied
        pagine_lst($numrows, $limit);

        $taille_piedla = '';
        include_once('../inc/piedla.inc.php');
    } else {
        retpp();
    }
} else {
    pop_ret_auto(_('Problème de paramètres'), 'warn', 'index.php');
}

include_once('pied.php');
?>
