<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

/***************************************************************************/
/* Récupération contacts donneur d'ordre en fonction code donneur d'ordres */
/***************************************************************************/

session_start();
sleep(1);
if (array_key_exists('do', $_REQUEST)) {
    $tomorrow = 0; //60*60*24; // en nb de secondes
    header("Cache-Control: max-age=$tomorrow");
    print_plain();
} else {
    print "Usage : $_SERVER[PHP_SELF]?do=un-code-donneur-ordre";
}

function print_plain()
{
    require_once('../lib/gettext/gettext.inc');
    include_once('../inc/fic_hum.inc.php');

    header('Content-type: text/html; charset=UTF-8');
    $cdo = get_cdo($_REQUEST['do']);
    $result = [];
    if (count($cdo) >0 ) {
        foreach ($cdo as $row) {
            $txt = $row['cdo_nom'] . ' ' . $row['cdo_prenom'];
            $row2 = lit_enr_fonc($row['cdo_codefonc'], TRUE);
            if (is_array($row2)) {
                $row2 = encode_str($row2);
                extract($row2);
                $txt_fonc = $fonc_desc;
            } else {
                $txt_fonc = $row['cdo_codefonc'];
            }
            $txt .= ' (' . $txt_fonc . ')';
            $result[] = $row['cdo_id'] . '=' . $txt;
        }
    }
    print implode(';', $result);
}

/**
 * @param $do
 * @return array
 */
function get_cdo($do)
{

    require_once('../lib/gettext/gettext.inc');
    include_once('../inc/config.inc.php');
    include_once('../classes/ezSQL/shared/ez_sql_core.php');
    include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
    include_once('../inc/func_sql.inc.php');
    include_once('../inc/func_txt.inc.php');

    $result = [];
    // On recupere les contacts sur le donneur d'ordres
    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
    $rech = 'SELECT * FROM `' . TBCDO . "` WHERE cdo_codedo='" . $db->escape($do) . "' ORDER BY cdo_nom";
    // On se connecte a la base
    $rows = $db->get_results($rech, ARRAY_A);
    close_database();
    if ($rows) {
        foreach ($rows as $row) {
            $row = encode_str($row);
            $result[] = $row;
        }
    }
    return $result;
}
