<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

session_start();

require_once('../lib/gettext/gettext.inc');
include_once('../inc/config.inc.php');
include_once('../inc/func_log.inc.php');
if (CheckURLLog(FALSE) == FALSE) {
    header('Location: ../index.php');
}
if (CheckNivLog('1') == FALSE) {
    header('Location: ../index.php');
}
include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_fici.inc.php');
include_once('../inc/func.inc.php');
include_once('../inc/func_fic.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../classes/phpmailer/class.phpmailer.php');
include_once('../classes/phpmailer/class.smtp.php');
include_once('../inc/mail.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
$pbm_conf = FALSE;
if (!exist_logo('cge')) {
    $pbm_conf = TRUE;
}
if (!existe_cdg()) {
    $pbm_conf = TRUE;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Index Client'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>

<body>

<?php
if ($pbm_conf == FALSE) {
    include_once('../inc/entete.inc.php');
    ?>
    <p align="left"><?php echo _('Bonjour et bienvenue dans votre espace privé personnel'); ?></p>
    <p align="left"><?php echo _('Vous pourrez :'); ?></p>
    <ul>
        <?php
        if ($_SESSION['id_ccli'] == 0) {
            if (url_ok('fic_down.php') == TRUE) {
                echo '<li><a href="fic_down.php">' . _('Télécharger vos fichiers') . '</a> (' . _('factures, drivers, patches, etc...') . ')</li>';
            }
            if (url_ok('cli_maj.php') == TRUE) {
                echo '<li><a href="cli_maj.php">' . _('Gérer votre compte') . '</a></li>';
            }
        }
        if (url_ok('int_lst.php?ord=DES&tri=Code') == TRUE) {
            echo '<li><a href="int_lst.php?ord=DES&tri=Code">' . _('Suivre vos interventions') . '</a> (' . _('en cours ou effectuées') . ')</li>';
        }
        if ($_SESSION['id_ccli'] == 0) {
            if (url_ok('cocl_lst.php?ord=DES&tri=Code') == TRUE) {
                echo '<li><a href="cocl_lst.php?ord=DES&tri=Code">' . _('Suivre vos contrats') . '</a></li>';
            }
            if (url_ok('co_disp.php') == TRUE) {
                echo '<li><a href="co_disp.php">' . _('Examiner nos offres de contrats') . '</a></li>';
            }
            if (url_ok('rel_lst.php') == TRUE) {
                echo '<li><a href="rel_lst.php">' . _('Suivre votre parc matériel et licences') . '</a></li>';
            }
            if (url_ok('dpbm.php?cc=' . $_SESSION['code_log']) == TRUE) {
                echo '<li><a href="dpbm.php?cc=' . $_SESSION['code_log'] . '">' . _('Déclarer les problèmes que vous avez détecté') . '</a></li>';
            }
            if (url_ok('coloc_lst.php?ord=DES&tri=Code') == TRUE) {
                echo '<li><a href="coloc_lst.php?ord=DES&tri=Code">' . _('Suivre vos locations ou prêts') . '</a></li>';
            }
            if (url_ok('dde_maj.php?ori=pr') == TRUE) {
                echo '<li><a href="dde_maj.php?ori=pr">' . _('Nous contacter prioritairement') . '</a> ' . _('pour signaler un problème ou une modification dans votre parc matériel ou licence, effectuer une demande, signaler un déménagement ou un problème comptable ou technique') . '</li>';
            }
        }
        ?>
    </ul>
    <p><?php echo _('Nous vous souhaitons une excellente journée et vous remercions encore de votre confiance'); ?></p>
    <?php
    include_once('pied.php');
} else {
    ?>
    <p align="center"><span class="titrepageerr"><?php echo _('PROBLEME DE CONFIGURATION'); ?></span></p>
    <p>&nbsp;</p>
    <p>&nbsp;</p>
    <?php
    pop_ret_auto(_("SMI n'a pas encore été totalement configuré pour votre compte") . '<br />' . _("Merci de contacter l'administrateur ou le centre de gestion"), 'warn', '../index.php');

}
?>
