<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// Vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/func.inc.php');
include_once('../inc/func_time.inc.php');
include_once('../inc/func_date.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../inc/func_txtcm.inc.php');
include_once('../inc/fic_age.inc.php');
include_once('../inc/fic_hum.inc.php');
include_once('../inc/fic_cli.inc.php');
include_once('../inc/fic_co.inc.php');
include_once('../inc/fic_cocl.inc.php');
include_once('../inc/fic_do.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_int.inc.php');
include_once('../inc/fic_ope.inc.php');
include_once('../inc/fic_prm.inc.php');
include_once('../inc/fic_st.inc.php');
include_once('../inc/fic_taxes.inc.php');
include_once('../inc/lst.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$cc = $_GET['cc']; // Récupération code client
$tco = $_GET['tco']; // Récupération type contrat ("a" : actifs, "c" : clots, rien : tous)

$pbm_cocl = FALSE;
$tab_cli = [];

// Niveau 1
if (CheckNivLog('1')) {
    $tab_cli = give_tab_rcli($_SESSION['code_log'], TRUE);
    if (exist_in_array($cc, $tab_cli) == FALSE) {
        $pbm_cocl = TRUE;
    }
} else {
    $tab_cli[] = $cc;
}

if ($cc == '') {
    $pbm_cocl = TRUE;
} else {
    $row = lit_enr_cli($cc, TRUE);
    if (is_array($row)) {
        $row = encode_str($row);
        extract($row);
        // Contrôle qu'une agence n'essaye pas de "hacker" un client
        if (CheckNivLog('3-4')) {
            if (client_age_ok($cli_code, valsession('code_age'), TRUE) == FALSE) {
                $pbm_cocl = TRUE;
            }
        }
    } else {
        $pbm_cocl = TRUE;
    }
}

// Niveau 2 = interdit
if (CheckNivLog('2')) {
    $pbm_cocl = TRUE;
}

if (($tco <> '') AND ($tco <> 'o') AND ($tco <> 'c')) {
    $pbm_cocl = TRUE;
}
?>
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
    <html>
    <head>

        <meta http-equiv="content-type" content="text/html; charset=UTF-8">
        <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Synthèse contrat'); ?></title>

        <?php include_once('../inc/header.inc.php'); ?>

        <script type="text/javascript">
            <!--
            function init_all() {
                init_Body();
                warn_print(1);
            }

            $(document).ready(function () {
                init_all();
            });
            //-->
        </script>


    </head>

    <body>

<?php
if ($pbm_cocl == FALSE) {
    set_time_limit(0); // On demande à PHP de ne pas interrrompre le script pendant le traitement

    // Récupération des contrats concernés
    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

    $rech = ' SELECT cocl_code FROM `' . TBCOCL . '`';
    if (!stristr($rech, 'WHERE ')) {
        $rech .= ' WHERE ';
    } else {
        $rech .= ' AND ';
    }
    if (count($tab_cli) > 1) {
        $rech .= '(';
    }
    foreach ($tab_cli as $key => $value) {
        $rech .= ' ' . TBCOCL . ".cocl_codecli='" . $value . "' OR";
    }
    // Suppression du dernier 'OR'
    $rech = substr($rech, 0, -3);
    if (count($tab_cli) > 1) {
        $rech .= ')';
    }
    if (CheckNivLog('3-4')) {
        $rech .= " AND cocl_codeage='" . valsession('code_age') . "'";
    }
    if ($tco == 'o') {
        $rech .= " AND cocl_datefin='0000-00-00'";
    }
    if ($tco == 'c') {
        $rech .= " AND cocl_datefin<>'0000-00-00'";
    }
    $rech .= ' ORDER BY cocl_code';
    $rows = $db->get_results($rech, ARRAY_A);
    close_database();

    if ($rows AND (count($rows) > 0)) {
        foreach ($rows as $row) {
            $row = encode_str($row);
            extract($row);
            display_synthese_cocl($cocl_code);
        }
    }

    /*else {
        $pdf->AddPage();
        $pv_det_cli = $pv_ent_age; // Récupération de la position sous l'entête agence pour le pointeur détail client
        $pdf->SetLineWidth(0.4);
        $pdf->SetY($pv_det_cli); // Renvoie le pointeur SOUS l'entête agence
        $pdf->SetFont('', 'BI', 8);
        switch ($tco) {
            case 'o' :
                $pdf->Cell(190, 4, _('Aucun contrat ouvert pour ce client'), 0, 1, 'C', 0);
                break;
            case 'c' :
                $pdf->Cell(190, 4, _('Aucun contrat clot pour ce client'), 0, 1, 'C', 0);
                break;
            default :
                $pdf->Cell(190, 4, _('Aucun contrat pour ce client'), 0, 1, 'C', 0);
                break;
        }
        $pdf->SetFont('', '', 8);
    }
    */
}
