<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


header('content-type: text/html; charset=UTF-8');

// Vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
$ok_inc = FALSE;
$ok_inc = FALSE;
if ($pos === FALSE) {
    $ok_inc = TRUE;
}
if ($ok_inc == FALSE) {
    header('Location: ../index.php');
}

// Gestion des rapports d'erreurs
error_reporting(E_ALL ^ E_NOTICE);


$smiver = 'v1.0.4'; // Version du logiciel

// Chemin absolu pour la racine serveur web
// On vérifie également la présence d'un port NAT
$prefixe_web = 'http';
$port_web = '';
// On est mode sécurisé
if ($_SERVER['HTTPS'] <> '') {
    $prefixe_web = 'https';
    if ($_SERVER['SERVER_PORT'] <> '443') {
        $port_web = ':' . $_SERVER['SERVER_PORT'];
    }
} else // On est en mode standard
{
    if ($_SERVER['SERVER_PORT'] <> '80') {
        $port_web = ':' . $_SERVER['SERVER_PORT'];
    }
}
$racine_web = $prefixe_web . '://' . $_SERVER['SERVER_NAME'] . $port_web;

$root = $_SERVER['DOCUMENT_ROOT'] . '/'; // Racine réelle du site
// $root=eregi_replace('[\]','/',$root);		// Nettoyage des '\' renvoyés par certains OS
$root = str_replace('//', '/', $root); // Nettoyage des doubles '/'
// Certaines distrib linux renvoient un '/' en fin de chaîne
include_once('prm.inc.php'); // Paramètres spécifiques au site d'utilisation

//////////////////////////////////////////////
/// Merci de ne pas modifier ces variables ///
//////////////////////////////////////////////

// Hauteur & Largeur de toutes les icônes
$hl_vign = '22';

// Hauteur & Largeur des logoso
define('LMAX_LOGO', 395);
define('HMAX_LOGO', 75);

// Pour ouverture fichiers
define('FILE_TO_OPEN', TRUE);
define('OPENED_FILE', TRUE);


// Nom des tables
if (defined('PREFIXE') == FALSE) {
    define('PREFIXE', DBNAME);
}

define('TBACAT', PREFIXE . '_acat'); // Nom de la table des catégories agences
define('TBAGE', PREFIXE . '_age'); // Nom de la table des agences
define('TBAGEPR', PREFIXE . '_agepr'); // Nom de la table des agences : Prix de revient resp. agences
define('TBBARLOC', PREFIXE . '_barloc'); // Nom de la table des barêmes de location
define('TBBARLOCTC', PREFIXE . '_barloctc'); // Nom de la table des barêmes de location : tarifs consommables
define('TBCAGE', PREFIXE . '_cage'); // Nom de la table des contacts agences
define('TBCAGEPR', PREFIXE . '_cagepr'); // Nom de la table des contacts agences : prix de revients
define('TBCCAT', PREFIXE . '_ccat'); // Nom de la table des catégories de clients
define('TBCG', PREFIXE . '_cge'); // Nom de la table du centre de gestion
define('TBCIV', PREFIXE . '_civ'); // Nom de la table des civilités
define('TBCLC', PREFIXE . '_clc'); // Nom de la table des champs check-list
define('TBCLCG', PREFIXE . '_clcg'); // Nom de la table des groupements champs check-list
define('TBCLCCLCG', PREFIXE . '_clcclcg'); // Nom de la table des groupements champs check-list / champs check-list
define('TBCLCGINTC', PREFIXE . '_clcgintc'); // Nom de la table des groupements champs check-list / Catégories interventions
define('TBCLCGINTH', PREFIXE . '_clcginth'); // Nom de la table des groupements champs check-list / Détails Horaires Interventions
define('TBCLI', PREFIXE . '_cli'); // Nom de la table des clients
define('TBCCLI', PREFIXE . '_ccli'); // Nom de la table des contacts clients
define('TBCMQUE', PREFIXE . '_cmque'); // Nom de la table des contacts marques
define('TBCMQUEN', PREFIXE . '_cmquen'); // Nom de la table des contacts marques (Notes privées)
define('TBDLOC', PREFIXE . '_dloc'); // Nom de la table des dépôts de location
define('TBCDO', PREFIXE . '_cdo'); // Nom de la table des contacts donneurs d'ordres
define('TBCNX', PREFIXE . '_cnx'); // Nom de la table des connexions
define('TBCO', PREFIXE . '_co'); // Nom de la table des contrats
define('TBCOCL', PREFIXE . '_cocl'); // Nom de la table des contrats-clients
define('TBCOCLA', PREFIXE . '_cocla'); // Nom de la table des annexes contrats-clients
define('TBCOCLCAT', PREFIXE . '_coclcat'); // Nom de la table des catégorie de contrats-clients
define('TBCOCLH', PREFIXE . '_coclh'); // Nom de la table des historiques contrats-clients
define('TBCOCLR', PREFIXE . '_coclr'); // Nom de la table des reports contrats-clients
define('TBCOLOC', PREFIXE . '_coloc'); // Nom de la table des contrats de location
define('TBCONS', PREFIXE . '_cons'); // Nom de la table des constantes
define('TBCST', PREFIXE . '_cst'); // Nom de la table des contacts sous-traitant
define('TBDDE', PREFIXE . '_dde'); // Nom de la table des demandes
define('TBDDEC', PREFIXE . '_ddec'); // Nom de la table des catégories de demandeurs
define('TBDDED', PREFIXE . '_dded'); // Nom de la table des destinataires des demandes
define('TBDDET', PREFIXE . '_ddet'); // Nom de la table des types de demandes
define('TBDEP', PREFIXE . '_dep'); // Nom de la table des départements
define('TBDEV', PREFIXE . '_dev'); // Nom de la table des devises
define('TBDEVC', PREFIXE . '_devc'); // Nom de la table des devises (changes)
define('TBDO', PREFIXE . '_do'); // Nom de la table des donneurs d'ordres
define('TBDOS', PREFIXE . '_dos'); // Nom de la table des dossiers
define('TBDOSC', PREFIXE . '_dosc'); // Nom de la table des catégories de dossiers
define('TBDOSD', PREFIXE . '_dosd'); // Nom de la table des détails dossiers
define('TBDOSDI', PREFIXE . '_dosdi'); // Nom de la table des intervenants sur les détails dossiers
define('TBDOSS', PREFIXE . '_doss'); // Nom de la table des statuts de dossiers
define('TBDROITSM', PREFIXE . '_droitsm'); // Nom de la table des droits (modèles)
define('TBDROITST', PREFIXE . '_droitst'); // Nom de la table des droits (types)
define('TBDROITSMD', PREFIXE . '_droitsmd'); // Nom de la table des droits (détails modèles)
define('TBFAM', PREFIXE . '_fam'); // Nom de la table des familles
define('TBFIC', PREFIXE . '_fic'); // Nom de la table des fichiers internes
define('TBFICLOG', PREFIXE . '_ficlog'); // Nom de la table des logs des fichiers internes
define('TBFICPJ', PREFIXE . '_ficpj'); // Nom de la table des logs des fichiers internes liés
define('TBFONC', PREFIXE . '_fonc'); // Nom de la table des fonctions contacts
define('TBIND', PREFIXE . '_ind'); // Nom de la table des indices de majoration horaire
define('TBINT', PREFIXE . '_int'); // Nom de la table des interventions
define('TBINTC', PREFIXE . '_intc'); // Nom de la table des catégories d'interventions
define('TBINTF', PREFIXE . '_intf'); // Nom de la table des interventions : suivi de facturation
define('TBINTH', PREFIXE . '_inth'); // Nom de la table des détails horaires d'intervention
define('TBINTT', PREFIXE . '_intt'); // Nom de la table des techniciens affectés aux interventions
define('TBIPRM', PREFIXE . '_iprm'); // Nom de la table des paramètres d'imports spécifiques
define('TBKB', PREFIXE . '_kb'); // Nom de la table de la base de connaissances (Knowledge Base)
define('TBLIEU', PREFIXE . '_lieu'); // Nom de la table des lieux
define('TBLOG', PREFIXE . '_log'); // Nom de la table des logs
define('TBMD', PREFIXE . '_md'); // Nom de la table des moyens de demandes
define('TBME', PREFIXE . '_me'); // Nom de la table des moyens d'envoi
define('TBMQUE', PREFIXE . '_mque'); // Nom de la table des Marques
define('TBMQUEN', PREFIXE . '_mquen'); // Nom de la table des Marques (Notes privées)
define('TBMQUET', PREFIXE . '_mquet'); // Nom de la table des Types Marques
define('TBMT', PREFIXE . '_mt'); // Nom de la table des moyens de transport
define('TBOPE', PREFIXE . '_ope'); // Nom de la table des opérateur téléphonique
define('TBORI', PREFIXE . '_orig'); // Nom de la table des origines
define('TBOT', PREFIXE . '_ot'); // Nom de la table des ordres de travail
define('TBOTH', PREFIXE . '_oth'); // Nom de la table des détails horaires d'ordres sous-traitants
define('TBPAYS', PREFIXE . '_pays'); // Nom de la table des pays
define('TBPER', PREFIXE . '_per'); // Nom de la table des périodicités
define('TBPERLOC', PREFIXE . '_perloc'); // Nom de la table des périodes de location
define('TBPCAT', PREFIXE . '_pcat'); // Nom de la table des catégories évènements plannings
define('TBPEVT', PREFIXE . '_pevt'); // Nom de la table des évènements plannings
define('TBPSTA', PREFIXE . '_psta'); // Nom de la table des statuts évènements plannings
define('TBPDT', PREFIXE . '_pdt'); // Nom de la table des produits
define('TBPDTI', PREFIXE . '_pdti'); // Nom de la table des produits saisis en intervention
define('TBPDTIH', PREFIXE . '_pdtih'); // Nom de la table des produits saisis en historiques intervention
define('TBPDTL', PREFIXE . '_pdtl'); // Nom de la table des produits saisis en location
define('TBPDTLBL', PREFIXE . '_pdtlbl'); // Nom de la table des barêmes des produits saisis en location
define('TBPDTLCL', PREFIXE . '_pdtlcl'); // Nom de la table des consommables produits saisis en location
define('TBPDTLPL', PREFIXE . '_pdtlpl'); // Nom de la table des barêmes des pénalités produits saisis en location
define('TBPDTLOC', PREFIXE . '_pdtloc'); // Nom de la table des produits en location
define('TBPDTLOCR', PREFIXE . '_pdtlocr'); // Nom de la table des produits en location : réparations
define('TBPDTU', PREFIXE . '_pdtu'); // Nom de la table des unités de vente produits
define('TBPEN', PREFIXE . '_pen'); // Nom de la table des pénalités (locations)
define('TBPENBAR', PREFIXE . '_penbar'); // Nom de la table des barêmes de pénalités (locations)
define('TBPPRM', PREFIXE . '_pprm'); // Nom de la table des plannings : paramètres
define('TBPW', PREFIXE . '_pw'); // Nom de la table des mots de passes
define('TBRASSUR', PREFIXE . '_rassur'); // Nom de la table des paramètres "objet assuré" pour la gestion de patrimoine
define('TBRCLI', PREFIXE . '_rcli'); // Nom de la table des regroupements clients
define('TBRDV', PREFIXE . '_rdv'); // Nom de la table des multi rendez-vous
define('TBREPLM', PREFIXE . '_replm'); // Nom de la table des modèle de réplication
define('TBREPLCLI', PREFIXE . '_replcli'); // Nom de la table de réplication des clients
define('TBREPLCLIC', PREFIXE . '_replclic'); // Nom de la table de réplication des clients (Contacts)
define('TBREPLCLIS', PREFIXE . '_replclis'); // Nom de la table de réplication des clients (Sites)
define('TBREG', PREFIXE . '_reg'); // Nom de la table des règlements
define('TBREL', PREFIXE . '_rel'); // Nom de la table des relevés
define('TBRETD', PREFIXE . '_retd'); // Nom de la table des demandes des retours
define('TBRETE', PREFIXE . '_rete'); // Nom de la table des envois de retours
define('TBRETEP', PREFIXE . '_retep'); // Nom de la table des envois de retours/codes produits
define('TBRETP', PREFIXE . '_retp'); // Nom de la table des produits à retourner
define('TBRETR', PREFIXE . '_retr'); // Nom de la table des retours fournisseur
define('TBRIMMOB', PREFIXE . '_rimmob'); // Nom de la table des paramètres "objet immobile" pour la gestion de patrimoine
define('TBRLIC', PREFIXE . '_rlic'); // Nom de la table des relevés de licences
define('TBRLMED', PREFIXE . '_rlmed'); // Nom de la table des relevés de licences : Médias
define('TBRLTL', PREFIXE . '_rltl'); // Nom de la table des relevés de licences : Types de licences
define('TBRLPTMTA', PREFIXE . '_rlptmta'); // Nom de la table des relevés de licences/produits : Types d'accès télémaintenance
define('TBRLPTML', PREFIXE . '_rlptml'); // Nom de la table des relevés de licences/produits : Logiciel de télémaintenance
define('TBRLPMM', PREFIXE . '_rlpmm'); // Nom de la table des relevés de licences/produits : Modes de mises à jour
define('TBRMOB', PREFIXE . '_rmob'); // Nom de la table des paramètres "objet mobile" pour la gestion de patrimoine
define('TBRNOMENC', PREFIXE . '_rnomenc'); // Nom de la table des relevés : nomenclatures
define('TBROBJ', PREFIXE . '_robj'); // Nom de la table des relevés de patrimoines : fiches objets
define('TBRPAT', PREFIXE . '_rpat'); // Nom de la table des relevés de patrimoines
define('TBRPDT', PREFIXE . '_rpdt'); // Nom de la table des relevés de produits
define('TBRPCAT', PREFIXE . '_rpcat'); // Nom de la table des relevés de produits : Catégories
define('TBRPET', PREFIXE . '_rpet'); // Nom de la table des relevés de produits : Etats des produits
define('TBRPBM', PREFIXE . '_rpbm'); // Nom de la table des relevés de problèmes licences/produits
define('TBRTA', PREFIXE . '_rta'); // Nom de la table des relevés : types acquisitions
define('TBRTO', PREFIXE . '_rto'); // Nom de la table des relevés : types objets
define('TBSCLI', PREFIXE . '_scli'); // Nom de la table des sites clients
define('TBSCLIA', PREFIXE . '_sclia'); // Nom de la table des sites clients sur annexes contrats
define('TBSCLIC', PREFIXE . '_sclic'); // Nom de la table des sites clients affectés aux contrats
define('TBSP', PREFIXE . '_sp'); // Nom de la table des spécialités
define('TBST', PREFIXE . '_st'); // Nom de la table des sous-traitants
define('TBSTSP', PREFIXE . '_stsp'); // Nom de la table des spécialités par sous-traitants
define('TBTA', PREFIXE . '_ta'); // Nom de la table des types actions
define('TBSIG', PREFIXE . '_sig'); // Nom de la table des signatures
define('TBSTA', PREFIXE . '_statut'); // Nom de la table des statuts
define('TBTAC', PREFIXE . '_tac'); // Nom de la table des tâches
define('TBTACC', PREFIXE . '_tacc'); // Nom de la table des catégories de tâches
define('TBTEC', PREFIXE . '_tec'); // Nom de la table des techniciens
define('TBTECPR', PREFIXE . '_tecpr'); // Nom de la table des techniciens : prix de revient
define('TBTPF', PREFIXE . '_tpf'); // Nom de la table des Taxes Parafiscales
define('TBTPFA', PREFIXE . '_tpfa'); // Nom de la table des Taxes Parafiscales par article
define('TBTPFI', PREFIXE . '_tpfi'); // Nom de la table des Taxes Parafiscales par intervention
define('TBTPFIH', PREFIXE . '_tpfih'); // Nom de la table des Taxes Parafiscales par historique intervention
define('TBTRA', PREFIXE . '_tra'); // Nom de la table des Traçabilités
define('TBTRAMAIL', PREFIXE . '_tramail'); // Nom de la table détail des mails (Traçabilités)
define('TBTXT', PREFIXE . '_txt'); // Nom de la table des textes types
define('TBTVA', PREFIXE . '_tva'); // Nom de la table des TVA
define('TBURG', PREFIXE . '_urg'); // Nom de la table des niveaux d'urgence
define('TBVILLES', PREFIXE . '_villes'); // Nom de la table des villes
define('TBWMQUE', PREFIXE . '_wmque'); // Nom de la table des liens marques
define('TBWMQUEN', PREFIXE . '_wmquen'); // Nom de la table des liens marques (Notes privées)
define('TBZCC', PREFIXE . '_zcc'); // Nom de la table des zones chalandises couvertes (agences)
define('TBZOC', PREFIXE . '_zoc'); // Nom de la table des zones couvertes (sous-traitants)

/*************************/
/* Langue et Pays de SMI */
/*************************/

$tab_lng = [
    'fr' => _('Français (France)'),
    'nc' => _('Français (Nouvelle-Calédonie)'),
    'en' => _('Anglais')];

$lng_tjourf = [1 => _('Dimanche'), 2 => _('Lundi'), 3 => _('Mardi'), 4 => _('Mercredi'), 5 => _('Jeudi'), 6 => _('Vendredi'), 7 => _('Samedi')];
$lng_tjourm = [1 => _('Dim'), 2 => _('Lun'), 3 => _('Mar'), 4 => _('Mer'), 5 => _('Jeu'), 6 => _('Ven'), 7 => _('Sam')];
$lng_tjours = [1 => _('D'), 2 => _('L'), 3 => _('M'), 4 => _('M'), 5 => _('J'), 6 => _('V'), 7 => _('S')];
$lng_tjourf_pla = [0 => _('Dimanche'), 1 => _('Lundi'), 2 => _('Mardi'), 3 => _('Mercredi'), 4 => _('Jeudi'), 5 => _('Vendredi'), 6 => _('Samedi')];
$lng_tjourm_pla = [0 => _('Dim'), 1 => _('Lun'), 2 => _('Mar'), 3 => _('Mer'), 4 => _('Jeu'), 5 => _('Ven'), 6 => _('Sam')];
$lng_tjours_pla = [0 => _('D'), 1 => _('L'), 2 => _('M'), 3 => _('M'), 4 => _('J'), 5 => _('V'), 6 => _('S')];
$lng_tmoisf = [1 => _('Janvier'), 2 => _('Février'), 3 => _('Mars'), 4 => _('Avril'), 5 => _('Mai'), 6 => _('Juin'), 7 => _('Juillet'), 8 => _('Août'), 9 => _('Septembre'), 10 => _('Octobre'), 11 => _('Novembre'), 12 => _('Décembre')];
$lng_tmoism = [1 => _('Janv.'), 2 => _('Févr.'), 3 => _('Mars'), 4 => _('Avril'), 5 => _('Mai'), 6 => _('Juin'), 7 => _('Juil.'), 8 => _('Août'), 9 => _('Sept.'), 10 => _('Oct.'), 11 => _('Nov.'), 12 => _('Déc.')];
$lng_tjouri = [-1 => _('Indifférent'), 1 => _('Lundi'), 2 => _('Mardi'), 3 => _('Mercredi'), 4 => _('Jeudi'), 5 => _('Vendredi'), 6 => _('Samedi'), 7 => _('Dimanche')];
$lng_tjouri_abr = [-1 => _('Indif'), 1 => _('Lun'), 2 => _('Mar'), 3 => _('Mer'), 4 => _('Jeu'), 5 => _('Ven'), 6 => _('Sam'), 7 => _('Dim')];
$lng_tduree = [60 => _('Minutes'), 3600 => _('Heures'), 86400 => _('Jours')];
$lng_tub = [_('Octets'), _('Ko'), _('Mo'), _('Go'), _('To'), _('Po'), _('Eo')];

// Langue par défaut
define('LNG_DEFAULT', 'fr');
// $_SESSION['lng'] = LNG_DEFAULT; // Uniquement pour les tests
define('PAYS_DEFAULT', 'FR');

// Constantes
$tab_lngdisp = [];
$tab_lngtrad = [];
$dir_lng = $root . REP . '/lng';

// On scanne le dossier des langues pour voir lesquelles sont disponibles
$dir = opendir($dir_lng . '/');
while (false !== ($f = readdir($dir))) {
    if (($f <> '.') AND ($f <> '..') AND ($f != '.htaccess')) {
        $nom = $dir_lng . '/' . $f;
        if (is_dir($nom)) {
            $tab_lngdisp[$f] = $tab_lng[$f];
        }
    }
}
closedir($dir);

// On positionne la constante de langue
if (!isset($_SESSION['lng'])) {
    if (isset($_GET['lang'])) {
        $_SESSION['lng'] = strtolower($_GET['lang']);
    } else {
        $_SESSION['lng'] = LNG_DEFAULT;
    }
} else {
    $_SESSION['lng'] = strtolower($_SESSION['lng']);
}

// On positionne la constante du pays
if (!isset($_SESSION['codepays'])) {
    if (isset($_GET['codepays'])) {
        $_SESSION['codepays'] = strtoupper($_GET['pays']);
    } else {
        $_SESSION['codepays'] = PAYS_DEFAULT;
    }
} else {
    $_SESSION['codepays'] = strtoupper($_SESSION['codepays']);
}

// On met à jour la variable de session en fonction des fichiers complémentaires disponibles
// (Pour rester compatible avec l'ancien système de traduction et conserver les paramètres locaux : monnaie, date, etc...)
if (!file_exists($dir_lng . '/' . $_SESSION['lng'] . 'inc.php')) {
    $_SESSION['lng'] = LNG_DEFAULT;
}
//include_once($dir_lng . '/' . $_SESSION['lng'] . '.inc.php');

// Constantes pour gettext
$locale = $_SESSION['lng'];
$encoding = 'UTF-8';
$domain = 'trad';

// On vérifie si l'extension gettext est chargée
if (!extension_loaded('gettext')) {
    // Non
    // gettext setup
    T_setlocale(LC_MESSAGES, $locale);
    // Set the text domain as 'messages'
    bindtextdomain($domain, $dir_lng);
} else {
    // Oui
    putenv("LC_ALL=$locale"); // Pour Windows
    putenv("LANGUAGE=$locale"); // Pour Windows
    // putenv("LANG=" . $language);
    setlocale(LC_ALL, $locale);

    bindtextdomain($domain, $dir_lng);
}
// bind_textdomain_codeset is supported only in PHP 4.2.0+
if (function_exists('bind_textdomain_codeset')) {
    bind_textdomain_codeset($domain, $encoding);
}
textdomain($domain);

/*************************************************************/
/** Niveaux utilisateurs :                                  **/
/**                0 : Aucun                                **/
/**                1 : Client                               **/
/**                2 : Opérateur Téléphonique               **/
/**                3 : Technicien agence                    **/
/**                4 : Agence                               **/
/**                5 : Centre de gestion                    **/
/**                6 : Donneur d'ordres                     **/
/**                7 : Technicien donneur d'ordres          **/
/**                9 : Administrateur                       **/
/**               10 : Sous-traitant                        **/
/**               11 : Technicien sous-traitant             **/
/*************************************************************/

$tab_niv = [
    '',
    'cli',
    'ope',
    'tec',
    'age',
    'cdg',
    'do',
    'tec do',
    '',
    'admin',
    'st',
    'tec st'];

$tab_niv_full = [
    '',
    _('Client'),
    _('Opérateur téléphonique'),
    _('Technicien agence'),
    _('Agence'),
    _('Centre de gestion'),
    _("Donneur d'ordres"),
    _("Technicien donneur d'ordres"),
    '',
    _('Administrateur'),
    _('Sous-traitant'),
    _('Technicien sous-traitant')];

/*************************************************************/
/** Constantes et variables pour la gestion des icônes,     **/
/** les listes et les fichiers.                             **/
/*************************************************************/

// Nombre maximum de lignes par page dans les listes de données
// Ce nombre ne sert QUE dans les listes écrans

$limit = 15;
$limitlog = 50; // uniquement pour les logs (fichier extrêmement fourni)

// Tableaux de définition des titres de colonnes avec les champs correspondants 
// dans la table MySQL correspondante pour les listes

$acat_titre_col = [
    _('Code') => 'acat_code',
    _('Nom') => 'acat_desc'];

$age_titre_col = [
    _('Code') => 'age_code',
    _('Nom') => 'age_nom',
    _('Téléphone') => 'age_telf',
    _('CP') => 'age_ville',
    _('Pays') => 'age_codepays',
    _('Zone Chalandise (pas de rech.)') => 'age_zone',
    _('Email') => 'age_email'];

$age_titre_col2 = [
    _('Code') => 'age_code',
    _('Nom') => 'age_nom',
    _('Téléphone') => 'age_telf',
    _('CP') => 'age_ville',
    _('Pays') => 'age_codepays'];

$cat_titre_col = [
    _('Code') => 'cat_code',
    _('Libellé') => 'cat_desc'];

$civ_titre_col = [
    _('Libellé abrégé') => 'civ_code',
    _('Libellé') => 'civ_desc'];

$clc_titre_col = [
    _('Code') => 'clc_code',
    _('Nom') => 'clc_desc'];

$clcg_titre_col = [
    _('Code') => 'clcg_code',
    _('Nom') => 'clcg_desc'];

$cli_titre_col = [
    _('Code') => 'cli_code',
    _('Société') => 'cli_ste',
    _('Nom') => 'cli_nom',
    _('Tel. Fixe') => 'cli_telf',
    _('Tel. Port.') => 'cli_telp',
    _('Email') => 'cli_email'];

$cli_titre_col_rech = [
    _('Code') => 1,
    _('Société') => 1,
    _('Nom') => 1,
    _('Tel. Fixe') => 1,
    _('Tel. Port.') => 1,
    _('Email') => 1];

$cliope_titre_col = [
    _('Code') => 'cli_code',
    _('Société') => 'cli_ste',
    _('Nom') => 'cli_nom'];

$ccli_titre_col = [
    _('Fonction') => 'ccli_func',
    _('Nom') => 'ccli_nom',
    _('Tel. Fixe') => 'ccli_telf',
    _('Fax') => 'ccli_fax',
    _('Tel. Port.') => 'ccli_telp',
    _('Email') => 'ccli_email',
    _('Mess.') => 'ccli_mess'];

$co_titre_col = [
    _('Code (actif/inactif)') => 'co_code',
    _('Nom') => 'co_nom',
    _('Libellé') => 'co_desc'];

$cocl_titre_col = [
    _('Code') => 'cocl_code',
    _('Type') => 'cocl_typh',
    _('Code Client (Détail)') => 'cocl_codecli',
    _('Créé le') => 'cocl_datecrea',
    _('Début') => 'cocl_dated',
    _('Fin') => 'cocl_datef',
    _('Temps') => 'cocl_nbs',
    _('Relancé le') => 'cocl_daterel',
    _('Renouvelé') => 'cocl_renouv'];

$cocla_titre_col = [
    _('Code') => 'cocla_code',
    _('Créé le') => 'cocla_datecrea',
    _('Relancé le') => 'cocla_daterel'];

$coclc_titre_col = [
    _('Code') => 'cocl_code',
    _('Type') => 'cocl_typh',
    _('Créé le') => 'cocl_datecrea',
    _('Début') => 'cocl_dated',
    _('Fin') => 'cocl_datef',
    _('Temps') => 'cocl_nbs',
    _('Relancé le') => 'cocl_daterel',
    _('Renouvelé') => 'cocl_renouv'];

$coclcat_titre_col = [
    _('Code') => 'coclcat_code',
    _('Nom') => 'coclcat_desc'];

$coclh_titre_col = [
    _('Intervention') => 'int_code',
    _('Début') => 'int_datedde',
    _('RDV') => 'int_daterdv',
    _('Fin') => 'int_datefin',
    _('Agence') => 'int_codeage',
    _('Temps retenu') => 'int_durees',
    _('Statut') => 'int_codestatut'];

$coclr_titre_col = [
    _('Code') => 'cocl_code',
    _('Code Client (Détail)') => 'cocl_codecli',
    _('Créé') => 'cocl_datecrea',
    _('Début') => 'cocl_dated',
    _('Fin') => 'cocl_datef',
    _('Relancé le') => 'cocl_daterel'];

$coloc_titre_col = [
    _('Code') => 'coloc_code',
    _('Code Client (Détail)') => 'coloc_codecli',
    _('Début le') => 'coloc_datedeb',
    _('Fin le') => 'coloc_datefin'];

$ddec_titre_col = [
    _('Code') => 'ddec_code',
    _('Libellé') => 'ddec_desc',
    _('Publique') => 'ddec_pub'];

$dded_titre_col = [
    _('Code') => 'dded_code',
    _('Nom Visible') => 'dded_desc',
    _('Email (Invisible)') => 'dded_email',
    _('Publique') => 'dded_pub',
    _('Cli.') => 'dded_cli',
    _('Age.') => 'dded_age',
    _('Tec.') => 'dded_tec',
    _('Ope.') => 'dded_ope',
    _('Sge.') => 'dded_cge',
    _('Tec. DO') => 'dded_dot',
    _('DO') => 'dded_do',
    _('Tec. ST') => 'dded_stt',
    _('ST') => 'dded_st'];

$ddet_titre_col = [
    _('Code') => 'ddet_code',
    _('Libellé') => 'ddet_desc',
    _('Publique') => 'ddet_pub',
    _('Cli.') => 'ddet_cli',
    _('Age.') => 'ddet_age',
    _('Tec.') => 'ddet_tec',
    _('Ope.') => 'ddet_ope',
    _('Sge.') => 'ddet_cge',
    _('Tec. DO') => 'ddet_dot',
    _('DO') => 'ddet_do',
    _('Tect. ST') => 'ddet_stt',
    _('ST') => 'ddet_st'];

$dep_titre_col = [
    _('Code') => 'dep_code',
    _('Nom') => 'dep_nom',
    _('Pays') => 'dep_codepays',
    _('Langue') => 'dep_lng'];

$dev_titre_col = [
    _('Code Alpha') => 'dev_codea',
    _('Code Num') => 'dev_coden',
    _('Nom') => 'dev_nom',
    _('Langue') => 'dev_lng'];

$dloc_titre_col = [
    _('Nom') => 'dloc_nom',
    _('Téléphone') => 'dloc_telf',
    _('CP') => 'dloc_ville',
    _('Pays') => 'dloc_codepays',
    _('Email') => 'dloc_email'];

$do_titre_col = [
    _('Code') => 'do_code',
    _('Nom') => 'do_nom',
    _('Téléphone') => 'do_telf',
    _('CP') => 'do_ville',
    _('Pays') => 'do_codepays',
    _('Email') => 'do_email'];

$dos_titre_col = [
    _('Code') => 'dos_code',
    _('Date') => 'dos_datedde',
    _('Fin') => 'dos_datefinp',
    _('Urgence') => 'dos_urg',
    _('Code Client (Détail)') => 'dos_codecli',
    _('Resp. suivi') => 'dos_codesuiv',
    _('Probabilité') => 'dos_proba',
    _('Avancement') => 'dos_proba',
    _('Statut') => 'dos_codedoss'];

$dosc_titre_col = [
    _('Code') => 'dosc_code',
    _('Libellé') => 'dosc_desc'];

$doss_titre_col = [
    _('Code') => 'doss_code',
    _('Libellé') => 'doss_desc'];

$ta_titre_col = [
    _('Code') => 'ta_code',
    _('Libellé') => 'ta_desc'];

$droitsm_titre_col = [
    _('Code') => 'droitsm_code',
    _('Nom') => 'droitsm_code'];

$fam_titre_col = [
    _('Code') => 'fam_code',
    _('Libellé') => 'fam_desc'];

$fonc_titre_col = [
    _('Code') => 'fonc_code',
    _('Libellé') => 'fonc_desc'];

$ind_titre_col = [
    _('Code') => 'ind_code',
    _('Libellé') => 'ind_desc',
    _('Coeff.') => 'ind_coeff'];

$int_titre_col = [
    _('Urg') => 'int_urg',
    _('Code') => 'int_code',
    _('Catégorie') => 'int_codecat',
    _('Date (Fin prévue)') => 'int_datedde',
    _('Prochain RDV') => '',
    _('Code Client (Site)') => 'int_codecli',
    _('Technicien resp. (Détail)') => 'int_codetec',
    _('Statut') => 'int_codestatut'];

$int_titre_col_rech = [
    _('Urg') => 0,
    _('Code') => 1,
    _('Catégorie') => 0,
    _('Date (Fin prévue)') => 0,
    _('Prochain RDV') => 0,
    _('Code Client (Site)') => 1,
    _('Technicien resp. (Détail)') => 1,
    _('Statut') => 0];

$intc_titre_col = [
    _('Code') => 'intc_code',
    _('Libellé') => 'intc_desc'];

$intcli_titre_col = [
    _('Code') => 'int_code',
    _('Date') => 'int_datedde',
    _('Prochain RDV') => '',
    _('Agence') => 'int_codeage',
    _('Site') => 'int_idsite',
    _('Terminée ?') => 'int_datefin',
    _('Technicien') => 'int_codetec',
    _('Statut') => 'int_codestatut'];

$intf_titre_col = [
    _('Facture') => 'intf_numf',
    _('Date') => 'intf_datefac'];

$ints_titre_col = [
    _('Code') => 'int_code',
    _('Catégorie') => 'int_codecat',
    _('Date') => 'int_datedde',
    _('RDV') => 'int_daterdv',
    _('Lieu') => 'int_codelieu',
    _('Urgence') => 'int_urg',
    _('Site Client') => 'int_codecli',
    _('Technicien resp. (Détail)') => 'int_codetec',
    _('Statut') => 'int_codestatut'];

$iprm_titre_col = [
    _('Code') => 'iprm_code',
    _('Libellé') => 'iprm_nom'];

$lieu_titre_col = [
    _('Code') => 'lieu_code',
    _('Libellé') => 'lieu_desc'];

$log_titre_col = [
    _('Code') => 'log_code',
    _('Date') => 'log_date',
    _('Heure') => 'log_heure',
    _('URL Precédent') => 'log_urlprec',
    _('URL Atteint') => 'log_url',
    _('Adresse IP') => 'log_ip'];

$flog_titre_col = [
    _('Date') => 'ficlog_date',
    _('Heure') => 'ficlog_heure',
    _('Adresse IP') => 'ficlog_ip',
    _('Referrer') => 'ficlog_ref',
    _('Fichier') => 'ficlog_fic',
    _('Type') => 'ficlog_type'];

$md_titre_col = [
    _('Code') => 'md_code',
    _('Nom') => 'md_nom'];

$me_titre_col = [
    _('Code') => 'me_code',
    _('Nom') => 'me_nom',
    _('Délai moyen') => 'me_delai'];

$mque_titre_col = [
    _('Code') => 'mque_code',
    _('Nom') => 'mque_ste',
    _('Type') => 'mque_type'];

$mquet_titre_col = [
    _('Code') => 'mquet_code',
    _('Nom') => 'mquet_desc'];

$mt_titre_col = [
    _('Code') => 'mt_code',
    _('Libellé') => 'mt_des'];

$ope_titre_col = [
    _('Code') => 'ope_code',
    _('Prénom') => 'ope_prenom',
    _('Nom') => 'ope_prenom',
    _('Tel. Fixe') => 'ope_telf',
    _('Tel. Port.') => 'ope_telp'];

$ot_titre_col = [
    _('Code') => 'ot_code',
    _('Date') => 'ot_datedde',
    _('RDV') => 'ot_daterdv',
    _('Lieu Inter. / Site') => 'ot_codelieu',
    _('Urgence') => 'ot_urg',
    _('Code Ss-Traitant (Détail)') => 'ot_codest',
    _('Technicien resp.') => 'ot_codetec',
    _('Statut') => 'ot_codestatut'];

$ot2_titre_col = [
    _('Code') => 'ot_code',
    _('Date') => 'ot_datedde',
    _('RDV') => 'ot_daterdv',
    _('Lieu Inter. / Site') => 'ot_codelieu',
    _('Urgence') => 'ot_urg',
    _('Technicien resp.') => 'ot_codetec',
    _('Statut') => 'ot_codestatut'];

$orig_titre_col = [
    _('Code') => 'orig_code',
    _('Libellé') => 'orig_desc'];

$pays_titre_col = [
    _('Code') => 'pays_code',
    _('Nom') => 'pays_nom',
    _('Langue') => 'pays_lng'];

$pcat_titre_col = [
    _('Code') => 'pcat_code',
    _('Nom') => 'pcat_desc'];

$psta_titre_col = [
    _('Code') => 'psta_code',
    _('Libellé') => 'psta_desc'];

$per_titre_col = [
    _('Code') => 'per_code',
    _('Libellé') => 'per_desc',
    _('Nb Jours') => 'per_nbj'];

$perloc_titre_col = [
    _('Code') => 'per_code',
    _('Libellé') => 'per_desc'];

$pdt_titre_col = [
    _('Code') => 'pdt_code',
    _('Famille (Code + Nom)') => 'pdt_fam',
    _('Désignation') => 'pdt_des',
    _('PU TTC') => 'pdt_puttc',
    _('Vendu') => 'pdt_vendu'];

$pdtint_titre_col = [
    _('Code') => 'pdt_code',
    _('Famille (Code + Nom)') => 'pdt_fam',
    _('Désignation') => 'pdt_des',
    _('PU TTC') => 'pdt_puttc'];

$pdti_titre_col = [
    _('Code') => 'pdti_codepdt',
    _('Intervention (Détail)') => 'pdti_codeint',
    _('Qté') => 'pdti_qte',
    _('PU TTC') => 'pdti_puttc',
    _('N/S') => 'pdti_ns'];

$pdtcloc_titre_col = [
    _('Code') => 'pdtloc_code',
    _('Famille (Code + Nom)') => 'pdtloc_fam',
    _('Désignation') => 'pdtloc_des',
    _('N/S') => 'pdtloc_ns'];

$pdtloc_titre_col = [
    _('Code') => 'pdtloc_code',
    _('Famille (Code + Nom)') => 'pdtloc_fam',
    _('Désignation') => 'pdtloc_des',
    _('N/S') => 'pdtloc_ns',
    _('Louable') => 'pdtloc_louable',
    _('Loué') => 'pdtloc_loue'];

$pdtu_titre_col = [
    _('Code') => 'pdtu_code',
    _('Libellé') => 'pdtu_desc',
    _('Abrévation') => 'pdtu_abr'];

$pen_titre_col = [
    _('Code') => 'pen_code',
    _('Nom') => 'pen_desc',
    _('Unité Décompte') => 'pen_udec',
    _('Valeur') => 'pen_valeur',
    _('A saisir ?') => 'pen_asaisir'];

$rdv_titre_col = [
    _('Urg') => 'rdv_nivurg',
    _('Planifié') => '',
    _('Honoré') => 'rdv_honore',
    _('Date') => 'rdv_date',
    _('Heure') => 'rdv_heure',
    _('Lieu') => 'rdv_codelieu',
    _('Durée') => 'rdv_dureem'];

$rdvcli_titre_col = [
    _('Date') => 'rdv_date',
    _('Heure') => 'rdv_heure',
    _('Lieu') => 'rdv_codelieu'];

$reg_titre_col = [
    _('Code') => 'reg_code',
    _('Libellé') => 'reg_desc'];

$rel_titre_col = [
    _('Code') => 'rel_code',
    _('Créé le') => 'rel_datecrea',
    _('Modifié le') => 'rel_datemod',
    _('Code Client (Détail)') => 'rel_codecli',
    _('Agence') => 'rel_codeage'];

$replm_titre_col = [
    _('Nom') => 'replm_nom',
    _('Créé le') => 'replm_datecrea',
    _('Modifié le') => 'replm_datemod',
    _('Type réplication') => 'replm_typ'];

$retd_titre_col = [
    _('Demande le') => 'retd_datedde',
    _('Fiche produit défectueux') => 'retd_coderetp',
    _('Réponse le') => 'retd_daterep',
    _('RMA') => 'retd_rma',
    _('Code envoi') => 'retp_codeenv'];

$rete_titre_col = [
    _('Code') => 'rete_code',
    _('Agence') => 'rete_codeage',
    _('Destinataire') => 'rete_codemque',
    _('Envoyé le') => 'rete_dateenv',
    _('Moyen') => 'rete_codeme',
    _('Bordereau') => 'rete_bord'];

$retp_titre_col = [
    _('Code') => 'retp_code',
    _('Demandé le (suivi)') => 'retp_datecrea',
    _('Agence') => 'retp_codeage',
    _('Désignation (Détail)') => 'retp_des',
    _('Intervention') => 'retp_codeint',
    _('Code envoi') => 'retp_codeenv'];

$retpe_titre_col = [
    _('Code') => 'retp_code',
    _('Demandé le (suivi)') => 'retp_datecrea',
    _('Désignation (Détail)') => 'retp_des',
    _('Intervention') => 'retp_codeint'];

$retr_titre_col = [
    _('Date') => 'retr_dateret',
    _('Fiche produit défectueux') => 'retr_coderetp',
    _('Opération') => 'retr_typeope'];

$rlic_titre_col = [
    _('Code') => 'rlic_code',
    _('Dossier') => 'rlic_coderel',
    _('Date') => 'rlic_daterel',
    _('Code Client (Détail)') => 'rlic_codecli',
    _('Agence') => 'rlic_codeage',
    _('Technicien') => 'rlic_codetec'];

$rlmed_titre_col = [
    _('Code') => 'rlmed_code',
    _('Libellé') => 'rlmed_desc'];

$rlptmta_titre_col = [
    _('Code') => 'rlptmta_code',
    _('Libellé') => 'rlptmta_desc'];

$rlptml_titre_col = [
    _('Code') => 'rlptml_code',
    _('Libellé') => 'rlptml_desc'];

$rlpmm_titre_col = [
    _('Code') => 'rlpmm_code',
    _('Libellé') => 'rlpmm_desc'];

$robj_titre_col = [
    _('Code') => 'robj_code',
    _('Libellé') => 'robj_desc'];

$rpcat_titre_col = [
    _('Code') => 'rpcat_code',
    _('Libellé') => 'rpcat_desc'];

$rpet_titre_col = [
    _('Code') => 'rpet_code',
    _('Libellé') => 'rpet_desc'];

$rltl_titre_col = [
    _('Code') => 'rltl_code',
    _('Libellé') => 'rltl_desc'];

$rpat_titre_col = [
    _('Code') => 'rpat_code',
    _('Créé le') => 'rpat_datecrea',
    _('Modifié le') => 'rpat_datemod',
    _('Code Client (Détail)') => 'rpat_codecli',
    _('Agence') => 'rpat_codeage'];

$rpdt_titre_col = [
    _('Code') => 'rpdt_code',
    _('Dossier') => 'rpdt_coderel',
    _('Date') => 'rpdt_daterel',
    _('Code Client (Détail)') => 'rpdt_codecli',
    _('Agence') => 'rpdt_codeage',
    _('Technicien') => 'rpdt_codetec'];

$rpta_titre_col = [
    _('Code') => 'rta_code',
    _('Libellé') => 'rta_desc'];

$rpto_titre_col = [
    _('Code') => 'rto_code',
    _('Libellé') => 'rto_desc'];

$scli_titre_col = [
    _('Société (Détail)') => 'scli_ste',
    _('Tel. Fixe') => 'scli_telf',
    _('Fax') => 'scli_fax',
    _('Email') => 'scli_email',
    _('Contact') => 'scli_rnom'];

$scli_titre_col2 = [
    _('Code Client (Détail)') => 'scli_codecli',
    _('Site (Détail)') => 'scli_ste',
    _('Tel. Fixe') => 'scli_telf',
    _('Fax') => 'scli_fax',
    _('Email') => 'scli_email',
    _('Contact') => 'scli_rnom'];

$scliope_titre_col2 = [
    _('Code Client (Détail)') => 'scli_codecli',
    _('Site (Détail)') => 'scli_ste'];

$sp_titre_col = [
    _('Code') => 'sp_code',
    _('Libellé') => 'sp_desc'];

$st_titre_col = [
    _('Code') => 'st_code',
    _('Nom') => 'st_nom',
    _('Téléphone') => 'st_telf',
    _('CP') => 'st_ville',
    _('Pays') => 'st_codepays',
    _('Zone Couverte (pas de rech.)') => 'st_zone',
    _('Spécialités (pas de rech.) - niveau') => 'st_spe',
    _('Email') => 'st_email'];

$statut_titre_col = [
    _('Code') => 'statut_code',
    _('Libellé') => 'statut_desc'];

$tac_titre_col = [
    _('Code') => 'tac_code',
    _('Date') => 'tac_datecrea',
    _('Fin') => 'tac_datefinp',
    _('Urgence') => 'tac_urg',
    _('Affectée à') => 'tac_codedest',
    _('Avancement') => 'tac_avance'];

$tacc_titre_col = [
    _('Code') => 'tacc_code',
    _('Libellé') => 'tacc_desc'];

$tec_titre_col = [
    _('Agence') => 'tec_codeage',
    _('Code') => 'tec_code',
    _('Prénom') => 'tec_prenom',
    _('Nom') => 'tec_prenom',
    _('Tel. Fixe') => 'tec_telf',
    _('Tel. Port.') => 'tec_telp',
    _('E-mail') => 'tec_email'];

$tecaff_titre_col = [
    _('Agence') => 'tec_codeage',
    _('Code') => 'tec_code',
    _('Prénom') => 'tec_prenom',
    _('Nom') => 'tec_prenom'];

$tec2_titre_col = [
    _('Donneur Ordres') => 'tec_codedo',
    _('Code') => 'tec_code',
    _('Prénom') => 'tec_prenom',
    _('Nom') => 'tec_prenom',
    _('Tel. Fixe') => 'tec_telf',
    _('Tel. Port.') => 'tec_telp',
    _('E-mail') => 'tec_email'];

$tec3_titre_col = [
    _('Sous-Traitant') => 'tec_codest',
    _('Code') => 'tec_code',
    _('Prénom') => 'tec_prenom',
    _('Nom') => 'tec_prenom',
    _('Tel. Fixe') => 'tec_telf',
    _('Tel. Port.') => 'tec_telp',
    _('E-mail') => 'tec_email'];

$teci_titre_col = [
    _('Code') => 'tec_code',
    _('Prénom') => 'tec_prenom',
    _('Nom') => 'tec_prenom',
    _('Tel. Fixe') => 'tec_telf',
    _('Tel. Port.') => 'tec_telp',
    _('E-mail') => 'tec_email'];

$tpf_titre_col = [
    _('Code') => 'tpf_code',
    /*_('Collecteur') => "tpf_codema',*/
    _('Nom') => 'tpf_desc',
    _('Pourcentage ?') => 'tpf_pour',
    _('Valeur') => 'tpf_valeur',
    _('A saisir ?') => 'tpf_asaisir'];

$tra_titre_col = [
    _('Code') => 'tra_coderat',
    _('Date') => 'tra_date',
    _('Heure') => 'tra_heure',
    _('Opération') => 'tra_codeta',
    _('Détail') => 'tra_codeta',
    _('Utilisateur') => 'tra_codeutil'];

$tra_titre_col_rat = [
    _('Date') => 'tra_date',
    _('Heure') => 'tra_heure',
    _('Opération') => 'tra_codeta',
    _('Détail') => 'tra_codeta',
    _('Utilisateur') => 'tra_codeutil'];

$txt_titre_col = [
    _('Code') => 'txt_code',
    _('Descriptif') => 'txt_desc',
    _('Résumé') => 'txt_entete'];

$tva_titre_col = [
    _('Code') => 'tva_code',
    _('Nom') => 'tva_desc',
    _('Taux') => 'tva_tx'];

$urg_titre_col = [
    _('Code') => 'urg_niveau',
    _('Nom') => 'urg_desc'];

$opestat_titre_col = [
    _('Code') => 'ope_code',
    _('Prénom') => 'ope_prenom',
    _('Nom') => 'ope_nom'];

$opestatcli_titre_col = [
    _('Code') => 'cli_code',
    _('Prénom') => 'cli_prenom',
    _('Nom') => 'cli_nom',
    _('Société') => 'cli_ste',
    _('Créé le') => 'cli_datecrea'];

$tecstat_titre_col = [
    _('Code') => 'tec_code',
    _('Prénom') => 'tec_prenom',
    _('Nom') => 'tec_nom',
    _('Agence') => 'tec_codeage'];

$tecstatcli_titre_col = [
    _('Code') => 'cli_code',
    _('Prénom') => 'cli_prenom',
    _('Nom') => 'cli_nom',
    _('Société') => 'cli_ste',
    _('Créé le') => 'cli_datecrea'];

$agestat_titre_col = [
    _('Code') => 'age_code',
    _('Nom') => 'age_nom'];

$agestatcli_titre_col = [
    _('Code') => 'cli_code',
    _('Prénom') => 'cli_prenom',
    _('Nom') => 'cli_nom',
    _('Société') => 'cli_ste',
    _('Créé le') => 'cli_datecrea'];

$villes_titre_col = [
    _('Nom') => 'villes_nom',
    _('CP') => 'villes_cp',
    _('Dept') => 'villes_dep',
    _('Pays') => 'villes_codepays',
    _('Langue') => 'villes_lng'];

/******************************/
/** Variables dates & heures **/
/******************************/

$dateheuref = date('d-m-Y H:i:s');
$datef = date('d-m-Y');
$dateheurea = date('Y-m-d H:i:s');
$datea = date('Y-m-d');
$heurea = date('H:i:s');

$njour = date('w');
if ($njour == 0) {
    $njour = 7;
}
$nomjour = $lng_tjouri[$njour];

/*************************************************************/
/** Constantes et variables pour la comptabilité            **/
/** et les taxes                                            **/
/*************************************************************/

$niv_cpta = [
    0 => _('Aucun problème'),
    1 => _('A surveiller'),
    2 => _('Relancé'),
    3 => 'Bloqué'];

$mess_cpta = [
    0 => _('Aucun problème'),
    1 => _('A surveiller'),
    2 => _('Relancé'),
    3 => _('Bloqué, contacter le service comptabilité')];

$ico_cpta = [
    'green.png',
    'orange.png',
    'blue.png',
    'red.png'];

$typ_fact = [
    0 => _('Facturation HT'),
    1 => _('Facturation TTC'),
    2 => _('Exonéré de TVA')];

/*************************************************************/
/** Constantes et variables pour les saisies                **/
/** dans la gestion des contrats.                           **/
/*************************************************************/

$typ_horaire = [
    _('Par intervention'),
    _("Quota d'heures")];

/*************************************************************/
/** Constantes et variables pour les saisies                **/
/** multiples dans la gestion des interventions.            **/
/*************************************************************/

$niv_urgence = [
    _('Standard'),
    _('Urgent'),
    _('Très Urgent'),
    _('Vital')];

$pieces_hs = [
    0 => _('Sans Objet'),
    1 => _('Rendues'),
    2 => _('Conservées')];

/*************************************************************/
/** Constantes et variables pour la gestion des fichiers    **/
/** techniques.                                             **/
/*************************************************************/

$fictec_trech = [
    0 => _('--- Toutes ---'),
    1 => _('Inférieure ou égale à'),
    2 => _('Supérieure ou égale à'),
    3 => _('Egale à'),
    4 => _('Différente de')];

$fictec_minlev = [
    0 => _('Aucun'),
    3 => _('Technicien agence & agence correspondante'),
    4 => _('Agence'),
    5 => _('Centre de gestion'),
    9 => _('Administrateur')];

/*************************************************************/
/** Constantes et variables pour la gestion des arrondis    **/
/** sur barêmes de location.                                **/
/*************************************************************/

$tab_txt_typarr = [
    0 => _('Aucun'),
    1 => _("Arrondi à l'inférieur"),
    2 => _('Arrondi au supérieur')];

/**************************************************************/
/** Constantes et variables pour les types de connexions IP  **/
/**************************************************************/

$maj_modeip = [
    0 => _('IP fixe'),
    1 => _('IP dynamique')];

/**************************************************************/
/** Constantes et variables pour les types de connexions IP  **/
/**************************************************************/

$rel_typpbm = [
    0 => _('Toutes les fiches'),
    1 => _('Avec problème(s) non traité(s)'),
    2 => _('Avec problème(s) traité(s) ou en cours de traitement')];


/*************************************************************/
/** Constantes et variables pour les types de mises à jour  **/
/*************************************************************/

$maj_types = [
    0 => _('?'),
    1 => _('Automatique'),
    2 => _('Manuel'),
    3 => _('Automatique & Manuel')];

$maj_typesma = [
    0 => _('?'),
    1 => _('Intérieur'),
    2 => _('Extérieur'),
    3 => _('Intérieur & Extérieur')];

/***********************************************************/
/** Constantes et variables pour les types de connexions  **/
/***********************************************************/

$cnxm_types = [
    0 => _('Ni connecté, ni relié à'),
    1 => _('Connecté sur'),
    2 => _('Contrôleur de'),
    3 => _('Installé dans'),
    4 => _('Conteneur de'),
    5 => _('Relié à')];

/*************************************************************/
/** Constantes et variables pour les saisies                **/
/** multiples dans la gestion des clients.                  **/
/*************************************************************/

$typ_client = [
    _('Prospect'),
    _("Demande d'intervention"),
    _('Déjà client')];

$prev_client = [
    0 => _('Envoi email'),
    1 => _('Appel téléphonique'),
    2 => _('Ecrit (fax ou poste)'),
    3 => _('SMS'),
    4 => _('Ne pas prévenir')];

$typmail_client = [
    'cpta' => _('Comptabilité'),
    'dir' => _('Direction'),
    'tec' => _('Technique')
];
/*************************************************************/
/** Constantes et variables pour la gestion des marques     **/
/** et des retours                                            **/
/*************************************************************/

$mques_types = [
    0 => _('Fabriquant & Editeur'),
    1 => _('Fabriquant'),
    2 => _('Editeur'),
    3 => _('Distributeur'),
    4 => _('Recyclage')];

$mdde_types = [
    0 => _('Courrier'),
    1 => _('Email'),
    2 => _('Internet'),
    3 => _('Télécopie'),
    4 => _('Téléphone')];

$ope_types = [
    1 => _('Avoir'),
    2 => _('Echangé'),
    3 => _('Perdu'),
    4 => _('Refusé'),
    5 => _('Réparé'),
    6 => _('Rien fait')];

$doc_types = [
    0 => _('Bon de livraison'),
    1 => _('Facture')];

/*********************************************/
/** Constantes et variables pour les tâches **/
/*********************************************/

$tac_tdest = [
    -1 => _('Moi-même'),
    1 => _('Techniciens agences'),
    2 => _('Agences'),
    3 => _('Techniciens sous-traitants'),
    4 => _('Sous-traitants'),
    5 => _('Centre de gestion'),
    6 => _('Administrateur')];

$tac_trat = [
    -1 => _('Aucun'),
    1 => _('Intervention'),
    2 => _('Contrat de maintenance'),
    3 => _('Contrat de location'),
    4 => _('Dossier de suivi'),
    5 => _('Relevé de parc'),
    6 => _('Bon de travail')];

/*************************************************/
/** Constantes et variables pour la traçabilité **/
/*************************************************/

$niv_trace = [
    0 => _('Aucun'),
    1 => _('Synthétique'),
    2 => _('Condensé'),
    3 => _('Détaillé')];

$niv_trace_hlp = [
    0 => _('Aucun enregistrement (ultra rapide)'),
    1 => _('Uniquement avertissement (rapide)'),
    2 => _('Avertissement + détails des opérations regroupés (moyennement rapide)'),
    3 => _('Toutes les opérations sont détaillées (lent)')];

$tra_trat = [
    1 => _('Intervention'),
    2 => _('Client'),
    3 => _("Donneur d'ordre")];

$tra_urg = [
    1 => _('Très urgent'),
    2 => _('Urgent'),
    3 => _('Normal'),
    4 => _('Basse'),
    5 => _('Très basse')];

/*************************************************************/
/** Constantes et variables pour les logs fichiers          **/
/*************************************************************/

$typ_flog = [
    _('Ok'),
    _('Hack'),
    _('Leech'),
    _('Inconnu')];

/**************************************************/
/** Constantes et variables pour les spécialités **/
/**************************************************/

$spec_niveau = [
    '*' => _('Tous les niveaux'),
    0 => _('Apprenti - Formation'),
    1 => _('Débutant'),
    2 => _('Avancé'),
    3 => _('Expert')];

$sp_niveau_st = [
    0 => _('Apprenti - Formation'),
    1 => _('Débutant'),
    2 => _('Avancé'),
    3 => _('Expert')];


/***************************************************************/
/** Constantes et variables diverses pour saisie & affichages **/
/***************************************************************/

$non_oui = [
    _('Non'),
    _('Oui')];

$non_oui2 = [
    '-',
    _('Oui')];

$non_oui3 = [
    _('Sans Objet'),
    _('Non'),
    _('Oui')];

$non_oui4 = [
    'N' => _('Non'),
    'O' => _('Oui')];

$tab_typ_encadrement = [
    'G' => _('Guillemets'),
    'A' => _('Apostrophes')
];

$tab_typ_separateur = [
    'P' => _('Points Virgules (;)'),
    'V' => _('Virgules (,)')
];

$tab_typ_fligne = [
    'N' => "\\n",
    'R' => "\\r",
    'RN' => "\\r\\n"
];

$tab_typ_majccli = [
    'G' => _("Générer les libellés catégories (Catégorie 'nouveau code')"),
    'S' => _('Générer puis modifier les libellés catégories')
];

$tab_typ_majciv = [
    'G' => _("Générer les libellés civilités (civilité 'nouveau code')"),
    'S' => _('Générer puis modifier les libellés civilités')
];

$tab_typ_majfam = [
    'G' => _("Générer les libellés familles (Famille 'nouveau code')"),
    'S' => _('Générer puis modifier les libellés familles'),
    'I' => _('Générer les familles en fonctions des paramètres ci-dessous')
];

$tab_typ_modsaisint = [
    '0' => _('Saisie classique'),
    '1' => _('Régularisation')
];

$tab_typ_mails = [
    'mailint' => _('Messagerie interne'),
    'mailext' => _('Client de messagerie externe')
];

$tab_typ_rel = [
    '1' => _('Relevé licence vierge'),
    '2' => _('Relevé Matériel vierge')
];

$tab_txt_syn_int = [
    1 => _('Interventions pour un client sur une période donnée'),
    2 => _('Interventions pour une agence sur une période donnée'),
    3 => _('Interventions pour une agence (gestionnaire) sur une période donnée'),
    4 => _('Interventions pour une agence (site) sur une période donnée'),
    5 => _('Interventions pour un technicien (responsable ou intervenant) sur une période donnée'),
    6 => _('Interventions pour un technicien (responsable) sur une période donnée'),
    7 => _('Interventions pour un technicien (intervenant) sur une période donnée')
];

$tab_txt_stat_tec = [
    1 => _('Nombre de créations de clients sur une période donnée'),
    2 => _("Nombre de créations d'interventions sur une période donnée"),
    3 => _("Nombre de traitements d'interventions sur une période donnée")
];

$tab_txt_stat_tecs = [
    1 => _('Nombre de créations de clients sur une période donnée'),
    2 => _("Nombre de traitements d'ordres sur une période donnée")
];

$tab_txt_base_calcul = [
    '0' => _('Tarif HT (le TTC sera recalculé)'),
    '1' => _('Tarif TTC (le HT sera recalculé)')
];

/*************************************************************/
/** Constantes et variables pour les réplications           **/
/*************************************************************/

$mode_repli = [
    _('Primaire écrase secondaire (table primaire balayée)'),
    _('Secondaire écrase primaire (table secondaire balayée)'),
    _('La plus récente écrase la plus ancienne (table primaire balayée)')];

$typ_repli = [
    _('Client')];
/*
$typ_repli = array(
	"Client',
	"Fournisseur',
	"Articles");
*/

/********************************************************/
/** Constantes et variables pour les imports           **/
/********************************************************/

$imp_typbd = [
    1 => 'MySQL'];


/**********************************************/
/** Constantes et variables pour le planning **/
/**********************************************/

$pla_tdest = [
    -1 => _('Moi-même'),
    1 => _('Techniciens agences'),
    2 => _('Agences'),
    3 => _('Techniciens sous-traitants'),
    4 => _('Sous-traitants'),
    5 => _('Centre de gestion'),
    6 => _('Administrateur')];

$pla_trat = [
    -1 => _('Aucun'),
    1 => _('Intervention'),
    2 => _('Bon de travail')];

$pla_mode = [
    'j' => _('Jour'),
    's' => _('Semaine'),
    'q' => _('Quinzaine'),
    'm' => _('mois')];

$pla_gest = [
    0 => _('Créateur'),
    1 => _('Créateur ou Destinataire'),
    2 => _('Créateur ou Destinataire et Supérieurs'),
    3 => _('Tous')];

$pla_hautlig = 25; // hauteur de ligne
$pla_stepmin = 5; // incrément 15 minutes par défaut
$pla_dateact = $datef; // date demandée
$pla_duree = $pla_stepmin; // durée minimum rendez-vous

$pprm_modeplan = 's'; // affichage semaine par défaut
$pprm_firstHour = 0; // première heure à afficher
$pprm_lastHour = 24; // dernière heure à afficher


/*************************************************************/
/** Variables utilisées sur les écrans                      **/
/*************************************************************/

// Pas d'icône pour impression par défaut
$avec_ico_imp = FALSE;

// Variables pour les titres d'affichage
$titre = '';

// Variables pour les pieds de liste
$lst_maj = FALSE;
$lst_voir = FALSE;
$lst_del = FALSE;
$lst_imp = FALSE;
$lst_impc = FALSE;
$lst_cocl = FALSE;
$lst_int = FALSE;
$lst_intp = FALSE;
$lst_mel = FALSE;
$lst_sta = FALSE;
$lst_vac = FALSE;
$lst_lic = FALSE;
$lst_recup = FALSE;
$lst_ferm = FALSE;
$lst_ttot = FALSE;
$lst_ttard = FALSE;
$lst_rel = FALSE;
$lst_rpat = FALSE;
$lst_ren = FALSE;
$lst_sig = FALSE;
$lst_fini = FALSE;
$lst_dem = FALSE;
$lst_relexist = FALSE;
$lst_relcreer = FALSE;
$lst_rpatexist = FALSE;
$lst_rpatcreer = FALSE;
$lst_pbmrel = FALSE;
$lst_impp = FALSE;
$lst_grab = FALSE;
$lst_mve = FALSE;
$lst_name = FALSE;
$lst_histo = FALSE;
$lst_reopen = FALSE;
$lst_taxe = FALSE;
$lst_pen = FALSE;
$locked = FALSE;
$lst_clore = FALSE;
$lst_retp = FALSE;
$lst_retps = FALSE;
$lst_retd = FALSE;
$lst_rete = FALSE;
$lst_retee = FALSE;
$lst_retex = FALSE;
$lst_retr = FALSE;
$lst_env = FALSE;
$lst_envs = FALSE;
$lst_voire = FALSE;
$lst_bar = FALSE;
$lst_dos = FALSE;
$lst_mail = FALSE;
$lst_otadd = FALSE;
$lst_otlnk = FALSE;
$lst_otulnk = FALSE;
$lst_sfact = FALSE;
$lst_sfacta = FALSE;
$lst_impcl = FALSE;
$lst_repl = FALSE;
$lst_add_annexe = FALSE;
$lst_view_annexe = FALSE;


// Variables pour les lancements d'impressions
$imprimer = FALSE;

// Affichage des boutons effacements et déplacements multiples
$mult_del = FALSE;
$mult_mve = FALSE;

// Variables pour le formulaire de recherche sur les listes
$url_add = '';
$fic_imp = '';
$fic_exp = FALSE;
$typ_filtres = '';
$tab_fi = [];
$lst_villes = FALSE;

/****************************************/
/* Taille par défaut des signatures     */
/****************************************/

$sig_width = '300';
$sig_height = '100';

/****************************************/
/* URL par défaut pour les listes       */
/****************************************/

$lnk_int_lst = 'int_lst.php?page=1&ord=DES&tri=Code&init=1';
$lnk_cli_lst = 'cli_lst.php?ntab=0&init=1';
$lnk_scli_lst = 'cli_lst.php?ntab=1&init=1';

/**************************************/
/* Liste et libellé des filtres       */
/**************************************/

$tab_fi_cocl_std = [
    _('Tous les contrats'),
    _('Contrats actifs'),
    _('Contrats envoyés et non reçus'),
    _('Contrats non renouvelés')];

$tab_fi_cocl_full = [
    _('Tous les contrats'),
    _('Contrats actifs'),
    _('Contrats envoyés et non reçus'),
    _('Contrats non renouvelés'),
    _('Contrats à échéance dépassée'),
    _('Contrats à échéance sous 15 jours'),
    _('Contrats à échéance sous 30 jours'),
    _('Contrats à échéance sous 60 jours')];

$tab_fi_coloc_full = [
    _('Tous les contrats'),
    _('Contrats en cours'),
    _('Contrats clos')];

$tab_fi_dos_full = [
    _('Tous les dossiers'),
    _('Dossiers en cours'),
    _('Dossiers clos')];

$tab_fi_int_std = [
    _('Toutes les interventions'),
    _('Interventions en cours'),
    _('Interventions closes'),
    _('Interventions avec client prévenu (en cours)')];

$tab_fi_int_full = [
    _('Toutes les interventions'),
    _('Interventions en cours'),
    _('Interventions closes'),
    _('Clients prévenus (en cours)'),
    _('Interventions à gérer'),
    _('Interventions à affecter'),
    _('Interventions à facturer (tous statuts)'),
    _('Interventions à facturer (clients prévenus)'),
    _('Interventions à facturer (inter. closes)'),
    _('Interventions facturées (tous statuts)'),
    _('Interventions facturées (clients prévenus)'),
    _('Interventions facturées (inter. closes)'),
    _('7 prochains jours (tous statuts)'),
    _('2 prochaines semaines (tous statuts)'),
    _('Echéances sous 48h (clients non prévenus)'),
    _('Echéances sous 7 jours (clients non prévenus)'),
    _('Echéances sous 15 jours (clients non prévenus)'),
    _('Echéances dépassées (clients non prévenus)'),
    _('Sans RDV')];

$tab_fi_ot_full = [
    _('Tous les bons de travail'),
    _('Bons de travail non clos'),
    _('Bons de travail clos')];

$tab_fi_pdtloc_menu = [
    _('Tous les articles'),
    _('Articles louables'),
    _('Articles non louables'),
    _('Articles loués'),
    _('Articles à louer')];

$tab_fi_pdtloc_loc = [
    _('Louables sur tous les dépôts'),
    _('Louables sur dépôt principal')];

$tab_comp_libelle = [
    'null' => _('Aucun critère'),
    'equ' => _('Egal à'),
    'sup' => _('Supérieur à'),
    'supe' => _('Supérieur ou égal à'),
    'inf' => _('Inférieur à'),
    'infe' => _('Inférieur ou égal à'),
    'dif' => _('Différent de'),
    'con' => _('Contient'),
    'nco' => _('Ne contient pas'),
    'cop' => _('Commence par'),
    'fip' => _('Fini par')];

$tab_comp_symbole = [
    'null' => ' ',
    'equ' => '=',
    'sup' => '>',
    'supe' => '>=',
    'inf' => '<',
    'infe' => '<=',
    'dif' => '<>',
    'con' => '..',
    'nco' => '##',
    'cop' => 'A.',
    'fip' => '.A'];

/************************/
/** Modules optionnels **/
/************************/

$tab_modules = [
    'planning',
    'signature',
    'patrimoine'];

$mod_planning = FALSE; // Module planning
$mod_signature = FALSE; // Module Signature
$mod_patrimoine = FALSE; // Module Patrimoine

/*************************************/
/** Fichiers complémentaires inclus **/
/*************************************/

if (file_exists('../inc/fic_prm.inc.php')) {
    include_once('../inc/fic_prm.inc.php');
}
else {
    include_once('inc/fic_prm.inc.php');
}
