<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/fic_dloc.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_hum.inc.php');
include_once('../inc/fic_fici.inc.php');
include_once('../inc/fic_int.inc.php');
include_once('../inc/fic_txt.inc.php');
include_once('../inc/func.inc.php');
include_once('../inc/func_date.inc.php');
include_once('../inc/func_fic.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../inc/func_txtcm.inc.php');
include_once('../inc/func_mail.inc.php');
include_once('../classes/phpmailer/class.phpmailer.php');
include_once('../classes/phpmailer/class.smtp.php');
include_once('../inc/mail.inc.php');
include_once('../classes/dirtool/class_dirtool.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = valpost('titre');
$td = valpost('td');
$codeage = valpost('codeage');

$nom = str_majuscules(valpost('nom'));
$adr1 = str_majuscules(valpost('adr1'));
$adr2 = str_majuscules(valpost('adr2'));
$dep = valpost('dep');
$ville = str_majuscules(valpost('ville'));
$pays = str_majuscules(valpost('pays'));
$telf = valpost('telf');
$fax = valpost('fax');
$rcivil = valpost('rcivil');
$rprenom = valpost('rprenom');
$rnom = valpost('rnom');
$rtelf = valpost('rtelf');
$email = strtolower(valpost('email'));
$emaild = strtolower(valpost('emaild'));
$emails = strtolower(valpost('emailc'));
$actif = (int)valpost('ouvert');
$ouvert = FALSE;
if ($actif == 1) {
    $ouvert = TRUE;
}

$retourliste = TRUE;

$msg = '';

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

switch ($td) {
    // Ajout de la fiche Dépôt
    case 'add' :
        $rech = 'SELECT COUNT(*) FROM `' . TBDLOC . "` WHERE dloc_nom = '" . $db->escape($nom) . "'";
        $nbres = $db->get_var($rech);
        if ($nbres == 0) {
            $rech2 = 'INSERT INTO `' . TBDLOC . '`';
            $rech2 .= ' (dloc_datecrea,dloc_nom,dloc_adr1,dloc_adr2,';
            $rech2 .= 'dloc_dep,dloc_ville,dloc_codepays,dloc_telf,';
            $rech2 .= 'dloc_fax,dloc_resp_civilite,dloc_resp_prenom,dloc_resp_nom,';
            $rech2 .= 'dloc_resp_telf,dloc_email,dloc_emaild,dloc_emails,dloc_ouvert,dloc_datec) VALUES';
            $rech2 .= " ('$datea','" . $db->escape($nom) . "','" . $db->escape($adr1) . "','" . $db->escape($adr2) . "',";
            $rech2 .= "'$dep','$ville','$pays','$telf',";
            $rech2 .= "'$fax','$rcivil','" . $db->escape($rprenom) . "','" . $db->escape($rnom) . "',";
            $rech2 .= "'$rtelf','$email','$emaild','$emails','$ouvert','$datea')";
            $db->query($rech2);
            $msg = _('Fiche ajoutée');
        } else {
            $msg = _('Ce nom existe déjà');
            $retourliste = FALSE;
        }
        break;

    case 'edit' :
        if ($codeage == '') {
            $existpdtloc = FALSE;

            if ($ouvert == FALSE) // Si fermeture de Dépôt, quelques Contrôles sont nécessaires
            {
                // Vérifie si utilisé dans un produit de location louable
                if (exist_dloc_in_pdtloc_louable($nom, TRUE) == TRUE) {
                    $existpdtloc = TRUE;
                    $msg = _("Il faut d'abord clore passer les produits de ce dépôt en 'non louable' ou les changer de dépôt");
                    $retourliste = FALSE;
                }
            }

            if ($existpdtloc == FALSE) {
                // MAJ de la fiche Dépôt
                $rech2 = 'UPDATE `' . TBDLOC . "` SET `dloc_adr1`='" . $db->escape($adr1) . "', `dloc_adr2`='" . $db->escape($adr2) . "',";
                $rech2 .= " `dloc_dep`='" . $dep . "',`dloc_ville`='" . $ville . "',`dloc_codepays`='" . $pays . "', `dloc_telf`='" . $telf . "',";
                $rech2 .= " `dloc_fax`='" . $fax . "', `dloc_resp_civilite`='" . $rcivil . "', `dloc_resp_prenom`='" . $db->escape($rprenom) . "',";
                $rech2 .= " `dloc_resp_nom`='" . $db->escape($rnom) . "', `dloc_resp_telf`='" . $rtelf . "', `dloc_email`='" . $email . "',";
                $rech2 .= " `dloc_emaild`='" . $emaild . "', `dloc_emails`='" . $emailc . "', `dloc_ouvert`='" . $ouvert . "'";
                $rech2 .= "   WHERE `dloc_nom` = '" . $db->escape($nom) . "'";
                $db->query($rech2);
                $msg = _('Fiche modifiée');
            }
        } else {
            $msg = _("Impossible de modifier un dépôt d'agence");
            $retourliste = FALSE;
        }
        break;

    // Suppression de la fiche Dépôt
    case 'del' :
        if ($codeage == '') {
            $existpdtloc = FALSE;

            // Vérifie si utilisée dans une fiche produit à louer
            if (exist_dloc_in_pdtloc($nom, FALSE) == TRUE) {
                $existcoloc = TRUE;
                $msg = _('Ce dépôt est utilisé dans une fiche produit à louer') . '<br />' . _("Vous ne pouvez donc pas le supprimer (Il suffit de le passer en mode 'fermé')");
                $retourliste = FALSE;
            }

            if ($existpdtloc == FALSE) {
                // SUPPRESSION de la fiche Dépôt agence
                $rech = 'DELETE FROM `' . TBDLOC . "` WHERE `dloc_nom` = '" . $db->escape($nom) . "'";
                $db->query($rech);
                $msg = _('Fiche supprimée');
            }
        } else {
            $msg = _("Impossible de supprimer un dépôt d'agence");
            $retourliste = FALSE;
        }
        break;

    default :
        break;
}
close_database();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Fiche Dépôt de Location'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            <?php
            if ($retourliste == FALSE)
                {echo "warn_txt('" . str_escape($msg) . "');";}
            ?>
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>

<?php include_once('../inc/entete.inc.php');
cre_ent_form($titre, '', '', '', FALSE);
if ($retourliste == FALSE) {
    aff_ret_idx_man($td, 'dloc_lst.php', _('Retour à la liste'), TRUE);
} else {
    pop_ret_auto($msg, 'ok', 'dloc_lst.php');
}
include_once('pied.php');
?>
</body>
</html>