<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/fic_dloc.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_pdt.inc.php');
include_once('../inc/fic_loc.inc.php');
include_once('../inc/fic_taxes.inc.php');
include_once('../inc/func.inc.php');
include_once('../inc/func_date.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_time.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$td = $_GET['td'];
$coderech = $_GET['code'];

$pbm_pdt = FALSE;
$cautionttc = 0;
$pxrevient_rep = 0;
$chx_depot = true;

$codeadev = give_dev_codea_defaut($_SESSION['lng'], TRUE);

if ($coderech <> '') {
    // Récupération des informations produit
    $row = lit_enr_pdtloc($coderech);
    if (is_array($row)) {
        extract($row);
    }

    $codeadev = give_dev_codea_defaut_pdtloc($pdtloc_code, $_SESSION['lng'], TRUE);

    // Récupération des informations TVA
    $row = lit_enr_tva($pdtloc_tvacaut, TRUE);
    if (is_array($row)) {
        extract($row);
    }

    $txtva = $tva_tx / 100;
    $cautionttc = round(($pdtloc_caution * (1 + $txtva)) * 100) / 100;

    $pxrevient_rep = px_revient_pdtlocr($pdtloc_code);
} else {
    if ($td <> 'add') {
        $pbm_pdt = TRUE;
    }
}

if (CheckNivLog('3')) {
    $td = 'view';
}

switch ($td) {
    case 'add' :
        $titre = _('CREATION ARTICLE A LOUER');
        $pdtloc_code = '';
        $pdtloc_louable = TRUE;
        $pdtloc_loue = FALSE;
        if (CheckNivLog('4')) {
            $iddloc = id_dloc_page($_SESSION['code_age'], TRUE);
            if ($iddloc > 0) {
                $pdtloc_iddloc = $iddloc;
            } else {
                $pbm_pdt = TRUE;
            }
        }
        break;
    case 'edit' :
        $titre = _('MISE A JOUR ARTICLE A LOUER');
        if (CheckNivLog('4')) {
            $iddloc = id_dloc_page($_SESSION['code_age'], TRUE);
            if ($iddloc <> $pdtloc_iddloc) {
                $pbm_pdt = TRUE;
            }
        }
        break;
    case 'view' :
        $titre = _('DETAIL ARTICLE A LOUER');
        break;
    case 'del' :
        $titre = _('SUPPRESSION ARTICLE A LOUER');
        if (CheckNivLog('4')) {
            $iddloc = id_dloc_page($_SESSION['code_age'], TRUE);
            if ($iddloc <> $pdtloc_iddloc) {
                $pbm_pdt = TRUE;
            }
        }
        break;
    default :
        $pbm_pdt = TRUE;
        break;
}

if ($pbm_pdt == FALSE) {
    if (($td == 'add') OR ($td == 'edit')) {
        if (($pdtloc_louable == TRUE) AND ($pdtloc_loue == FALSE)) {
            switch (valsession('niv_log')) {
                case 3 :
                case 4 :
                    // Si c'est une agence ou un technicien, on vérifie
                    // que le Dépôt du produit est bien le principal de l'agence
                    $iddloc = id_dloc_page(valsession('code_age'), TRUE);
                    if ($pdtloc_iddloc <> $iddloc) {
                        $chx_depot = FALSE;
                    }
                    break;
                default :
                    break;
            }

            // On vérifie que le produit n'est pas réservé
            if (exist_adep_in_coloc_ouv($pdtloc_code) == TRUE) {
                $chx_depot = FALSE;
            }

            // On vérifie que le produit n'est pas en attente de retour
            if (exist_aret_in_coloc_ouv($pdtloc_code) == TRUE) {
                $chx_depot = FALSE;
            }

        } else {
            $chx_depot = FALSE;
        }
    }
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Fiche Article à Louer'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script language="javascript">
        <!--
        var tab1_champ = ["nom:code ; format:txt ; req:Y ; txt:<?php echo _('Code'); ?> ; lmx:20 ; stok:frmok ; stbad:frmbad",
            "nom:codeb ; format:txt ; req:N ; txt:<?php echo _('Code-barre'); ?> ; lmx:20 ; stok:frmok ; stbad:frmbad",
            "nom:dloc ; format:liste ; req:Y ; txt:<?php echo _('Dépôt'); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
            "nom:fam ; format:liste ; req:Y ; txt:<?php echo _('Famille'); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
            "nom:tva; format:liste ; req:Y ; txt:<?php echo _('TVA'); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
            "nom:ucons1 ; format:liste ; req:Y ; txt:<?php echo _('unité consommable 1'); ?>; vmn:1 ; stok:frmok ; stbad:frmbad",
            "nom:tvacons1; format:liste ; req:Y ; txt:<?php echo _('TVA consommable 1'); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
            "nom:ucons2 ; format:liste ; req:Y ; txt:<?php echo _('unité consommable 2'); ?>; vmn:1 ; stok:frmok ; stbad:frmbad",
            "nom:tvacons2; format:liste ; req:Y ; txt:<?php echo _('TVA consommable 2'); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
            "nom:des; format:txt ; req:Y ; txt:<?php echo _('Libellé'); ?> ; lmx:50 ; stok:frmok ; stbad:frmbad",
            "nom:ns; format:txt ; req:Y ; txt:<?php echo _('Numéro de série'); ?> ; lmx:100 ; stok:frmok ; stbad:frmbad",
            "nom:valneuf; format:reel_ns ; req:Y ; txt:<?php echo _('Valeur à neuf'); ?> ; lmx:10 ; stok:frmok ; stbad:frmbad",
            "nom:valnet; format:reel_ns ; req:Y ; txt:<?php echo _('Valeur nette'); ?> ; lmx:10 ; stok:frmok ; stbad:frmbad",
            "nom:caution; format:reel_ns ; req:Y ; txt:<?php echo _('Caution'); ?> ; lmx:10 ; stok:frmok ; stbad:frmbad",
            "nom:cautionttc; format:reel_ns ; req:Y ; txt:<?php echo _('Caution TTC'); ?> ; lmx:10 ; stok:frmok ; stbad:frmbad",
            "nom:idxcons1; format:reel_ns ; req:N ; txt:<?php echo _('Index consommable 1'); ?> ; lmx:10 ; stok:frmok ; stbad:frmbad",
            "nom:idxcons2; format:reel_ns ; req:N ; txt:<?php echo _('Index consommable 2'); ?> ; lmx:10 ; stok:frmok ; stbad:frmbad"];
        //-->
    </script>

    <script type="text/javascript">
        <!--
        <?php cre_html_barloc('detbarloc', $td, $pdtloc_code); ?>

        $(function () {
            $("#code").Setcase({caseValue: 'upper', changeonFocusout: true});
            $("#des").Setcase({caseValue: 'upper', changeonFocusout: true});
        });

        function init_all() {
            init_Body();
            init_fdeci('valneuf', <?php echo valsession('num_nbdec'); ?>);
            init_fdeci('valnet', <?php echo valsession('num_nbdec'); ?>);
            init_fdeci('caution', <?php echo valsession('num_nbdec'); ?>);
            init_fdeci('idxcons1', <?php echo valsession('num_nbdec'); ?>);
            init_fdeci('idxcons2', <?php echo valsession('num_nbdec'); ?>);
            init_calc_taxe('caution', 'caution', 'cautionttc', 'tva', <?php echo valsession('num_nbdec'); ?>, 'to_ttc');
            init_fdeci('cautionttc', <?php echo valsession('num_nbdec'); ?>);
            init_calc_taxe('cautionttc', 'caution', 'cautionttc', 'tva', <?php echo valsession('num_nbdec'); ?>, 'to_ht');
            init_calc_taxe('tva', 'caution', 'cautionttc', 'tva', <?php echo valsession('num_nbdec'); ?>, 'to_ttc');
            <?php
            switch ($td)
            {
                case 'add' :
                    echo "init_valid_form('enr','pdtloc_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                    echo "init_calc_somme('valnet','valnet','mtrept','totalvalnet',".valsession('num_nbdec'). ');';
                    echo "init_chk_typcons('ucons1','idxcons1','tvacons1',".valsession('num_nbdec'). ');';
                    echo "init_chk_typcons('ucons2','idxcons2','tvacons2',".valsession('num_nbdec'). ');';
                    echo "init_valid_form('enr','pdtloc_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                    break;
                case 'edit' :
                    echo "readonly_id('code',false);";
                    if ($pdtloc_loue == TRUE)
                        {echo "readonly_id('louable',false);";}
                    echo "init_valid_form('enr','pdtloc_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                    echo "init_fensaisie('add_rep',950,560);";
                    echo "init_fensaisie('chx_bar',900,500);";
                    echo "init_calc_somme('valnet','valnet','mtrept','totalvalnet',".valsession('num_nbdec'). ');';
                    echo "init_chk_typcons('ucons1','idxcons1','tvacons1',".valsession('num_nbdec'). ');';
                    echo "init_chk_typcons('ucons2','idxcons2','tvacons2',".valsession('num_nbdec'). ');';
                    echo "init_valid_form('enr','pdtloc_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                    break;
                case 'view' :
                    echo 'readonly_all();';
                    break;
                case 'del' :
                    echo 'readonly_all();';
                    echo "warn_del('');";
                    echo "init_valid_form('enr','pdtloc_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                    break;
            }
            if ($chx_depot == FALSE)
                {echo "readonly_id('dloc',false);";}
            ?>
            tbbarloc();
            init_back('annul', 'click');
            init_autohref_classe('falselnkimg', '');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>

<body>
<?php include_once('../inc/entete.inc.php'); ?>
<!-- affiché uniquement s'il y a au moins famille et un Dépôt actif -->
<?php
if ($pbm_pdt == FALSE) {
    if ((nb_fam() > 0) AND (nb_dloc_actifs() > 0)) {
        cre_ent_form($titre, 'pdtloc_lst.php?ta=m', $_SERVER['HTTP_REFERER'], '');
        ?>
        <form id="pdtloc_maj" name="pdtloc_maj" id="pdtloc_maj" method="post" action="pdtloc_enr.php">
            <input name="titre" type="hidden" id="titre" value="<?php echo $titre ?>">
            <input name="td" type="hidden" id="td" value="<?php echo $td ?>">
            <input name="nbutton" type="hidden" id="nbutton" value="">
            <table width="100%" border="0">
                <tr>
                    <td width="160" class="rubfrm" id="f_dloc" align="right"><?php echo _('Dépôt'); ?></td>
                    <td>
                        <?php
                        // création de la liste des Dépôts
                        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                        $rech = 'SELECT * FROM `' . TBDLOC . '` WHERE dloc_ouvert=1 ORDER BY dloc_nom ';
                        $rows = $db->get_results($rech, ARRAY_A);
                        close_database();

                        cre_select_tab('dloc', 'dloc', $rows, 'dloc_id', 'dloc_nom', 'dloc_codeage', (int)$pdtloc_iddloc, '', _('-- Faites votre choix --'));

                        echo '<div class="annot_petit_it">';
                        echo _("Le dépôt ne peut être changé que si le produit n'est pas réservé sur un contrat, n'est pas loué, et est louable");
                        echo '</div>';
                        echo '<div class="annot_petit_it">';
                        echo _("Après réaffectation, si vous êtes l'agence gérant le dépôt ci-dessus et que vous transférez ce produit vers un autre dépôt, vous ne pourrez plus modifier cette fiche");
                        echo '</div>';

                        /*
                        $aff_lst = TRUE;
                        // On ne peut modifier le Dépôt que si on est administrateur ou centre de gestion, ou le "propriétaire" du Dépôt,
                        // et uniquement si le produit n'est pas en cours de location, est louable, et n'est pas réservé
                        if (($td == 'add') OR ($td == 'edit')) {
                            if (($pdtloc_louable == TRUE) AND ($pdtloc_loue == FALSE)) {
                                if ((valsession('niv_log') == 9) OR (valsession('niv_log') == 5) OR (valsession('niv_log') == 4)) {
                                    // Si c'est une agence, on vérifie
                                    // que le Dépôt du produit est bien le principal de l'agence
                                    if (valsession('niv_log') == 4) {
                                        $iddloc = id_dloc_page(valsession('code_age'), TRUE);
                                        if ($pdtloc_iddloc <> $iddloc)
                                            $aff_lst = FALSE;
                                    }

                                    if ($aff_lst = TRUE) {
                                        // On vérifie que le produit n'est pas réservé
                                        if (exist_adep_in_coloc_ouv($pdtloc_code) == FALSE) {
                                            // On vérifie que le produit n'est pas en attente de retour
                                            if (exist_aret_in_coloc_ouv($pdtloc_code) == FALSE) {
                                                echo '<select name="dloc" size="1" id="dloc">';
                                                echo "<option>-- Choisissez un Dépôt --</option>";

                                                // création de la liste des Dépôts
                                                $db = new ezSQL_mysqli(DBUSER, DBPASS, DBNAME, DBHOST,'utf8');
                                                $rech = "SELECT * FROM `" . TBDLOC . "` WHERE dloc_ouvert=1 ORDER BY dloc_nom ";
                                                $rows = $db->get_results($rech, ARRAY_A);

                                                if ($rows) {
                                                    foreach ($rows as $row) {
                                                        extract($row);
                                                        echo '<option value="' . $dloc_id . '"';
                                                        if ($pdtloc_iddloc == $dloc_id)
                                                            echo ' selected';
                                                        $txt_nom = $dloc_nom;
                                                        if ($dloc_codeage <> NULL)
                                                            $txt_nom .= ' ('._('Agence').' ' . $dloc_codeage . ')';
                                                        echo '>' . $txt_nom . '</option>';
                                                    }
                                                }
                                                close_database();
                                                echo '</select>';
                                                echo ' <img src="../img/oblig.png" align="absmiddle" alt="' . _('Champ obligatoire') . '">';
                                            } else
                                                $aff_lst = FALSE;
                                        } else
                                            $aff_lst = FALSE;
                                    } else
                                        $aff_lst = FALSE;
                                } else
                                    $aff_lst = FALSE;
                            } else
                                $aff_lst = FALSE;
                        } else
                            $aff_lst = FALSE;

                        if ($aff_lst == FALSE) {
                            $db = new ezSQL_mysqli(DBUSER, DBPASS, DBNAME, DBHOST,'utf8');
                            $rech = "SELECT * FROM `" . TBDLOC . "` WHERE `dloc_id`= '" . $pdtloc_iddloc . "'";
                            $row = $db->get_row($rech, ARRAY_A);
                            if ($row)
                                extract($row);
                            close_database();
                            echo '<input name="dloc" type="hidden" id="dloc" value="' . $dloc_id . '" >';
                            echo '<input name="ndloc" type="text" id="ndloc" value="' . $dloc_nom . '" size="50" readonly>';
                        }

                        if ($td == 'edit') {
                            echo '<br />';
                            echo '<span class="annot_petit_it">';
                            echo _('Le dépôt ne peut être changé que si le produit n'est pas réservé sur un contrat, n'est pas loué, et est louable');
                            echo '</span>';
                            echo '<br />';
                            echo '<span class="annot_petit_it">';
                            echo _('Après réaffectation, si vous êtes l'agence gérant le dépôt ci-dessus et que vous transférez ce produit vers un autre dépôt, vous ne pourrez plus modifier cette fiche');
                            echo '</span>';
                        }
                        */
                        ?>
                    </td>
                    <td width="40%" align="right" valign="top">
                        <?php
                        if (($td == 'edit') OR ($td == 'view')) {
                            $urlimp = 'pdtloc_pdf.php?cp=' . $coderech;
                            if (url_ok($urlimp) == TRUE) {
                                echo '<div id="imprim" align="right" title="' . $urlimp . '" class="falselnk">';
                                echo ' <img src="../img/print.png" title="' . _('Imprimer') . '" border="0" align="absmiddle"> ' . _('Imprimer');
                                echo '</div>';
                            } else {
                                echo '&nbsp;';
                            }
                        } else {
                            echo '&nbsp;';
                        }
                        ?>
                    </td>
                </tr>
            </table>

            <table width="100%" border="0">
                <tr>
                    <td width="160" class="rubfrm" id="f_code" align="right"><?php echo _('Code'); ?></td>
                    <td>
                        <input name="code" type="text" id="code" value="<?php echo $pdtloc_code ?>" size="20"
                               maxlength="20">
                        <?php if ($td == 'add') {
                            echo ' <img src="../img/oblig.png" align="absmiddle" alt="' . _('Champ obligatoire') . '">';
                        }
                        ?>
                    </td>
                </tr>
                <tr>
                    <td width="160" class="rubfrm" id="f_codeb" align="right"><?php echo _('Code-barre'); ?></td>
                    <td>
                        <input name="codeb" type="text" id="codeb" value="<?php echo $pdtloc_codeb ?>" size="20"
                               maxlength="20">
                    </td>
                </tr>
                <tr>
                    <td width="160" class="rubfrm" id="f_fam" align="right"><?php echo _('Famille'); ?></td>
                    <td>
                        <?php
                        // création de la liste des familles
                        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                        $rech = 'SELECT * FROM `' . TBFAM . '` ORDER BY fam_desc';
                        $rows = $db->get_results($rech, ARRAY_A);
                        close_database();
                        cre_select_tab('fam', 'fam', $rows, 'fam_code', 'fam_desc', '', $pdtloc_fam, '', _('-- Faites votre choix --'));
                        ?>
                    </td>
                </tr>
                <tr>
                    <td width="160" class="rubfrm" id="f_des" align="right"><?php echo _('Libellé'); ?></td>
                    <td>
                        <input name="des" type="text" id="des" value="<?php echo $pdtloc_des ?>" size="50">
                        <?php
                        if (($td == 'add') OR ($td == 'edit')) {
                            echo ' <img src="../img/oblig.png" align="absmiddle" alt="' . _('Champ obligatoire') . '">';
                        }
                        ?>
                    </td>
                </tr>
                <tr>
                    <td width="160" class="rubfrm" id="f_ns" align="right"><?php echo _('N° série'); ?></td>
                    <td>
                        <input name="ns" type="text" id="ns" value="<?php echo $pdtloc_ns ?>" size="100">
                        <?php
                        if (($td == 'add') OR ($td == 'edit')) {
                            echo ' <img src="../img/oblig.png" align="absmiddle" alt="' . _('Champ obligatoire') . '">';
                        }
                        ?>
                    </td>
                </tr>
                <tr>
                    <td class="rubfrm" id="f_louable" align="right"><?php echo _('Louable'); ?></td>
                    <td>
                        <?php
                        cre_select('louable', 'louable', $non_oui, (int)$pdtloc_louable);
                        /*
                        if (($td <> 'del') AND ($td <> 'view') AND ($pdtloc_loue == FALSE))
                            cre_select('louable', 'louable', $non_oui, (int)$pdtloc_louable);
                        else
                            echo '<input name="louable" type="text" id="louable" value="' . $non_oui[$pdtloc_louable] . '" size="3" maxlength="3" readonly>';
                        */
                        if ($pdtloc_loue == 0) {
                            echo ' <span class="alerte2">';
                            echo _('Non loué');
                        } else {
                            echo ' <span class="alerte1">';
                            echo _('En cours de location');
                        }
                        echo '</span>';
                        ?>
                    </td>
                </tr>
                <tr>
                    <td width="160" class="rubfrm" id="f_valneuf" align="right"><?php echo _('Valeur à neuf'); ?></td>
                    <td>
                        <?php
                        cre_input_num('valneuf', $pdtloc_valneuf, TRUE, FALSE);
                        echo ' <span class="annot_petit_it">(' . _('Hors taxes') . ')</span>';
                        ?>
                    </td>
                </tr>
                <tr>
                    <td width="160" class="rubfrm" id="f_valnet" align="right"><?php echo _('Valeur nette'); ?></td>
                    <td>
                        <?php
                        echo '<span class="annot_petit_gras">' . _('VNC') . ' : </span>';
                        cre_input_num('valnet', $pdtloc_valnet, TRUE);
                        echo '<span class="annot_petit_gras"> + ' . _('Réparations') . ' : </span>';
                        cre_input_num('mtrept', $pxrevient_rep, TRUE, TRUE);
                        echo '<span class="annot_petit_gras"> = </span>';
                        cre_input_num('totalvalnet', $pdtloc_valnet + $pxrevient_rep, TRUE, TRUE);
                        if ($td == 'edit') {
                            $url_pdtlocr = 'pdtlocr_maj.php?td=lst&cp=' . $pdtloc_code;
                            cre_falselnk('', 'add_rep', 'span', '', _('Ajouter réparation'), $url_pdtlocr, '../img/int.png', _('Ajouter réparation'));
                            echo '<div class="annot_petit_it">' . _('(Hors taxes)') . '</div>';
                        }
                        ?>
                    </td>
                </tr>
                <tr>
                    <td width="160" class="rubfrm" id="f_caution" align="right"><?php echo _('Montant caution'); ?></td>
                    <td>
                        <?php
                        echo '<span class="annot_std_gras">' . _('HT') . '</span> : ';
                        cre_input_num('caution', $pdtloc_caution, TRUE, FALSE);

                        echo '<span class="annot_std_gras">' . _('TVA') . '</span> :';
                        // création de la liste des TVA
                        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                        $rech = 'SELECT * FROM `' . TBTVA . '` WHERE tva_actif=1 ORDER BY tva_desc';
                        $rows = $db->get_results($rech, ARRAY_A);
                        close_database();
                        cre_select_tab('tva', 'tva', $rows, 'tva_code', 'tva_desc', '', $pdtloc_tvacaut, '', _('-- Faites votre choix --'));

                        // Création des taux de TVA (champs cachés)
                        if ($rows) {
                            foreach ($rows as $row) {
                                extract($row);
                                echo '<input name="' . $tva_code . '" type="hidden" id="' . $tva_code . '" value="' . $tva_tx . '">';
                            }
                        }

                        echo '<span class="annot_std_gras">' . _('TTC') . '</span> : ';
                        cre_input_num('cautionttc', $cautionttc, TRUE, FALSE);
                        ?>
                    </td>
                </tr>
                <tr>
                    <td width="160" class="rubfrm" id="f_note" align="right"><?php echo _('Notes internes'); ?></td>
                    <td>
                        <textarea name="note" id="note" rows="4"><?php echo $pdtloc_note; ?></textarea>
                    </td>
                </tr>
                <tr>
                    <td class="rubfrm" colspan="2" align="center"><?php echo _('CONSOMMABLES FACTURABLES'); ?></td>
                </tr>
                <tr>
                    <td colspan="2">
                        <table width="100%" border="0">
                            <tr>
                                <td width="50%" colspan="2" align="center"
                                    class="rubfrm"><?php echo _('Consommable 1'); ?></td>
                                <td colspan="2" align="center" class="rubfrm"><?php echo _('Consommable 2'); ?></td>
                            </tr>
                            <tr>
                                <td width="160" class="rubfrm" id="f_ucons1"
                                    align="right"><?php echo _('Unité'); ?></td>
                                <td>
                                    <?php
                                    // création de la liste des unités possibles
                                    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                                    $rech = 'SELECT * FROM `' . TBPDTU . '` ORDER BY pdtu_desc';
                                    $rows = $db->get_results($rech, ARRAY_A);
                                    close_database();

                                    $tab_first_options = [];
                                    $tab_first_options['-1'] = _('Pas de consommable');
                                    cre_select_tab('ucons1', 'ucons1', $rows, 'pdtu_code', 'pdtu_desc', '', $pdtloc_pdtucons1, '-2', _('-- Faites votre choix --'), 1, FALSE, '', '', TRUE, TRUE, FALSE, $tab_first_options);
                                    ?>
                                </td>
                                <td width="160" class="rubfrm" id="f_ucons2"
                                    align="right"><?php echo _('Unité'); ?></td>
                                <td>
                                    <?php
                                    cre_select_tab('ucons2', 'ucons2', $rows, 'pdtu_code', 'pdtu_desc', '', $pdtloc_pdtucons2, '-2', _('-- Faites votre choix --'), 1, FALSE, '', '', TRUE, TRUE, FALSE, $tab_first_options);
                                    ?>
                                </td>
                            </tr>
                            <tr>
                                <td width="160" class="rubfrm" id="f_idxc1"
                                    align="right"><?php echo _('Index actuel'); ?></td>
                                <td>
                                    <?php
                                    cre_input_num('idxcons1', $pdtloc_idxcons1);
                                    ?>
                                </td>
                                <td width="160" class="rubfrm" id="f_idxc2"
                                    align="right"><?php echo _('Index actuel'); ?></td>
                                <td>
                                    <?php
                                    cre_input_num('idxcons2', $pdtloc_idxcons2);
                                    ?>
                                </td>
                            </tr>
                            <tr>
                                <td width="160" class="rubfrm" id="f_tvac1"
                                    align="right"><?php echo _('TVA applicable'); ?></td>
                                <td>
                                    <?php
                                    // création de la liste des TVA
                                    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                                    $rech = 'SELECT * FROM `' . TBTVA . '` WHERE tva_actif=1 ORDER BY tva_desc';
                                    $rows = $db->get_results($rech, ARRAY_A);
                                    close_database();

                                    cre_select_tab('tvacons1', 'tvacons1', $rows, 'tva_code', 'tva_desc', '', $pdtloc_tvacons1, '', _('-- Faites votre choix --'));
                                    ?>
                                </td>
                                <td width="160" class="rubfrm" id="f_tvac2"
                                    align="right"><?php echo _('TVA applicable'); ?></td>
                                <td>
                                    <?php
                                    cre_select_tab('tvacons2', 'tvacons2', $rows, 'tva_code', 'tva_desc', '', $pdtloc_tvacons2, '', _('-- Faites votre choix --'));
                                    ?>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
            <!-- Zone de saisie des barèmes -->
            <?php
            if (($td == 'edit') OR ($td == 'del') OR ($td == 'view')) {
                ?>
                <table width="100%" border="0">
                    <tr>
                        <td class="rubfrm" colspan="2" align="center"><?php echo _('BAREMES'); ?></td>
                    </tr>
                </table>
                <div id="detbarloc">
                </div>

                <!-- Lien d'ajout de barèmes -->
                <?php
                if ($td == 'edit') {
                    $urlchoixbar = 'perloc_lst.php?ta=p&cp=' . $coderech;
                    cre_falselnk('', 'chx_bar', 'div', '', _('Ajouter un barême'), $urlchoixbar, '../img/add.png', _('Ajouter un barême'));
                }
            }
            ?>
            <p align="center">
                <?php
                switch ($td) {
                    case 'add' :
                    case 'edit' :
                        echo '<input name="RAZ" type="reset" class="bton_std" id="RAZ" value="' . _('Réinitialiser') . '">';
                        echo '<input name="enr" type="button" class="bton_std" id="enr" value="' . _('Enregistrer') . '">';
                        break;
                    case 'view' :
                        echo '<input name="annul" type="button" class="bton_std" id="annul" value="' . _('Retour liste') . '">';
                        break;
                    case 'del' :
                        echo '<input name="enr" type="button" class="bton_std" id="enr" value="' . _('Supprimer') . '">';
                        echo '<input name="annul" type="button" class="bton_std" id="annul" value="' . _('Annuler') . '">';
                        break;
                }
                ?>
            </p>
        </form>
        <!-- Fin affiché uniquement s'il y a au moins une famille article -->
        <?php
    } else {
        if (nb_dloc_actifs() == 0) {
            $txt_err .= '<br />' . _('Merci de créer au moins un dépôt.');
        }
        if (nb_fam() == 0) {
            $txt_err .= '<br />' . _('Merci de créer au moins une famille article.');
        }
        pop_ret_auto($txt_err, 'warn', 'index.php');
    }
} else {
    pop_ret_auto(_('Problème de paramètres'), 'warn', 'pdtloc_lst.php?td=m&ca=' . valsession('code_age'));
}
include_once('pied.php');
?>
</body>
</html>