<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// Vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/config.inc.php');
include_once('../inc/fic_age.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_hum.inc.php');
include_once('../inc/fic_mque.inc.php');
include_once('../inc/fic_ret.inc.php');
include_once('../inc/fic_txt.inc.php');
include_once('../inc/func.inc.php');
include_once('../inc/func_date.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_log.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../inc/func_txtcm.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$ce = $_GET['ce']; // Récupération code Relevé

if ($ce <> '') {
    // Récupération des informations demande de retour
    $row = lit_enr_rete($ce, TRUE);
    if (is_array($row)) {
        $row = encode_str($row);
        extract($row);

        // Récupération des informations marque
        $row2 = lit_enr_mque($rete_codemque, TRUE);
        if (is_array($row2)) {
            $row2 = encode_str($row2);
            extract($row2);

            include_once('../classes/tcpdf/config/tcpdf_config.php');
            include_once('../classes/tcpdf/tcpdf.php');
            include_once('../inc/tcpdf_ext.inc.php');

            $pdf = new PDF_SMI('L', PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
            $pdf->setFontLng('fr');
            $pdf->set_add_margin();
            $pdf->SetCreator(PDF_CREATOR);
            $pdf->SetAuthor('SMI');
            $pdf->SetTitle(_('Demande de retour N°') . $rete_code);
            $pdf->SetSubject(_('Demande de retour N°') . $rete_code);
            $pdf->settgen();
            $pdf->settheader('rete');

            // set default monospaced font
            $pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

            //set margins
            $pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
            $pdf->setHeaderMargin(PDF_MARGIN_HEADER);
            $pdf->setFooterMargin(PDF_MARGIN_FOOTER);

            //set auto page breaks
            $pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

            $pdf->SetLeftMargin(10);
            $pdf->SetLineWidth(0.2);
            $pdf->AddPage();

            // Récupération Coordonnées sous entête
            $Pos_Entete = $pdf->GetY();

            // Impression du détail distributeur
            $pdf->SetFont('', 'BU', 12); // Titre
            $pdf->Cell(138, 5, _('DESTINATAIRE'), 0, 1, 'C');

            $ent_mque = ''; // Détail
            $ent_mque .= $mque_ste . "\n";
            $pdf->SetFont('', 'B', 10);
            $pdf->MultiCell(138, 4, $ent_mque, 0, 'L');

            $ent_mque = $mque_adr1 . "\n"; // Suite...
            if (trim($mque_adr2) <> '') {
                $ent_mque .= $mque_adr2 . "\n";
            }
            $ent_mque .= Retournecp_Id($mque_ville, TRUE) . ' ' . Retourneville_Id($mque_ville, TRUE) . "\n";
            $ent_mque .= _('Tel') . ' : ' . $mque_telf . "\n";
            $ent_mque .= _('Fax') . ' : ' . $mque_fax;
            if (trim($mque_tvai) <> '') {
                $ent_mque .= "\n" . _('TVA') . ' : ' . $mque_tvai;
            }
            $pdf->SetFont('', '', 10);
            $pdf->MultiCell(138, 4, $ent_mque, 0, 'L');

            // Récupération Coordonnées
            $Pos_EntCli = $pdf->GetY();

            // Impression du détail Relevé
            $pdf->SetY($Pos_Entete + 1); // Renvoie le pointeur SOUS l'entête agence

            $pdf->Cell(138);

            $pdf->SetFont('', '', 8);

            $ent_ret = _('Envoyé par') . " :\n";
            $ent_ret .= _('Bordereau') . " :\n";
            $ent_ret .= _('Nb produits') . " :\n";
            $ent_ret .= _('Nb colis') . " :\n";

            $pdf->MultiCell(30, 4, $ent_ret, 0, 'R');

            $pdf->SetY($Pos_Entete + 1); // Renvoie le pointeur SOUS l'entête agence + 5mm (cellule niveau urgence)
            $pdf->Cell(168);

            $pdf->SetFont('', '', 8);
            $ent_ret = nom_me($rete_codeme, TRUE) . "\n";
            if (trim($rete_bord) <> '') {
                $ent_ret .= $rete_bord . "\n";
            } else {
                $ent_ret .= "-\n";
            }
            $ent_ret .= nb_art_in_envoi($rete_code, TRUE) . "\n";
            $ent_ret .= $rete_nbcol . "\n";

            $pdf->MultiCell(109, 4, $ent_ret, 0, 'L');

            // Récupération Coordonnées
            $Pos_EntDetail = $pdf->GetY();

            $PosY = max($Pos_EntCli, $Pos_EntDetail);
            $pdf->SetY($PosY);
            $pdf->Ln(1);
            $pdf->SetDrawColor(125);
            $pdf->SetLineWidth(0.4);
            $pdf->SetLineStyle(['dash' => 2]);
            $pdf->Line(10, $PosY, 200 + $pdf->add_margin, $PosY);
            $pdf->SetDrawColor(0);
            $pdf->SetLineWidth(0.2);
            $pdf->SetDrawColor(220);
            $pdf->SetLineStyle(['dash' => 0]);
            $pdf->Ln(1);

            if (nb_art_in_envoi($rete_code, TRUE) > 0) {
                // Début liste des produits
                $pdf->SetFont('', 'BU', 10);
                $pdf->Cell(276, 4, _('PRODUITS RETOURNES'), 0, 1, 'C');
                $pdf->Ln(2);

                $pdf->SetFont('', 'B', 8);
                $pdf->SetFillColor(0);
                $pdf->SetTextColor(255);

                $pdf->Cell(50, 5, _('Code'), 1, 0, 'C', 1);
                $pdf->Cell(146, 5, _('Détail produit / Raison du retour'), 1, 0, 'C', 1);
                $pdf->Cell(80, 5, _('Numéro de retour'), 1, 1, 'C', 1);

                $pdf->SetFillColor(255);
                $pdf->SetTextColor(0);
                $pdf->SetFont('', 'B', 8);

                $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

                // Lignes des articles
                $rech = 'SELECT * FROM `' . TBRETEP . "` WHERE retep_codeenv='" . $rete_code . "' ORDER BY retep_id";
                $rows = $db->get_results($rech, ARRAY_A);

                foreach ($rows as $row) {
                    $row = encode_str($row);
                    extract($row);

                    $rech2 = 'SELECT * FROM `' . TBRETP . "` WHERE retp_code='" . $retep_coderetp . "'";
                    $row2 = $db->get_row($rech2, ARRAY_A);

                    if ($row2) {
                        $row2 = encode_str($row2);
                        extract($row2);

                        $rech3 = 'SELECT * FROM `' . TBRETD . "` WHERE retd_coderetp='" . $retep_coderetp . "'";
                        $row3 = $db->get_row($rech3, ARRAY_A);

                        if ($row3) {
                            $row3 = encode_str($row3);
                            extract($row3);

                            // Code
                            $pdf->Cell(50, 4, $retd_codepdtm, 0, 0, 'L');
                            // Désignation / NS / Problème
                            $pdf->Cell(146, 4, $retp_des, 0, 0, 'L');
                            // Numéro de retour
                            $pdf->Cell(80, 4, $retd_rma, 0, 1, 'L');
                            // NS
                            if (trim($retp_ns) <> '') {
                                $pdf->Cell(50);
                                $pdf->SetFont('', 'I', 8);
                                $pdf->Cell(146, 4, _('N/S') . ' : ' . $retp_ns, 0, 1, 'L');
                                $pdf->SetFont('', 'B', 8);
                            } else {
                                $pdf->Ln();
                            }
                            $PosX = $pdf->GetX();
                            $PosY = $pdf->GetY();
                            // Document
                            $pdf->Cell(50);
                            $pdf->SetFont('', 'I', 8);
                            $pdf->Cell(146, 4, $doc_types[$retd_blf] . ' ' . $retd_nblf . ', ' . _('du') . ' ' . datetolocal($retd_dblf), 0, 1, 'L');
                            $pdf->SetFont('', 'B', 8);
                            // Problème
                            if (trim($retp_pbm) <> '') {
                                $pdf->Cell(50);
                                $pdf->SetFont('', 'I', 7);
                                $pdf->MultiCell(146, 4, $retp_pbm, 0, 1, 0, 'L');
                                $pdf->SetFont('', 'B', 8);
                            }
                            // Code-barre code produit
                            if (($retd_codepdtm<> '') AND ctype_alnum ($retd_codepdtm)) {
                                $pdf->write1DBarcode($retd_codepdtm, 'C39', $PosX, $PosY, 50, 5, 0.4, $style, 'N');
                            }
                            // Code-barre numéro de retour
                            if (($retd_rma<> '') AND ctype_alnum ($retd_rma)) {
                                $pdf->write1DBarcode($retd_rma, 'C39', $PosX + 196, $PosY, 55, 5, 0.4, $style, 'N');
                            }

                        }
                    }
                }
                close_database();
            }

            // Texte de pied (envoi)
            $pdf->Ln();
            $row = lit_enr_txt('PIED_RETE');
            if ($row) {
                $row = encode_str($row);
                extract($row);
                $txt_ret = parse_txtcorps('age', $rete_codeage, $txt_texte, '');
                $pdf->SetFont('', '', 8);
                $pdf->writeHTML($txt_ret, true, false, true);
            }
            $url_pdf = $url_gfc . '/pj/renvoi_pdt.pdf';
            $pdf->Output($url_pdf, 'FI');
            killfile($url_pdf);
            close_fen_auto('', '');
        }
    }
}
