<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// Vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
$ok_inc = FALSE;
if ($pos === FALSE) {
    $ok_inc = TRUE;
}
if ($ok_inc == FALSE) {
    header('Location: ../index.php');
}
?>

<hr noshade width="100%" size="1" color="limegreen">
<div id="attn" style="display:none;" align="center">
    <p class="annot_gras_it"><?php echo _('Téléchargement en cours...'); ?></p>
    <img src="../img/wait30.gif" alt="attn" width="30" height="30" border="0"/>
</div>
<div id="telech" style="display:block;">
    <!--- Formulaire d'Upload des Fichiers Internes -->
    <p class="titre_gras_soul" align="center"><?php echo _('Télécharger un fichier'); ?></p>

    <form action="upl_enr.php" method="POST" enctype="multipart/form-data" name="upl_maj" id="upl_maj">
        <?php
        $max_size = 0;
        switch ($niv_util) {
            case 9 :
                $max_size = $taille_maxi_admin; // Taille maximum autorisée pour téléchargement
                break;
            case 5 :
                $max_size = $taille_maxi_cge; // Taille maximum autorisée pour téléchargement
                break;
            case 4 :
                $max_size = $taille_maxi_age; // Taille maximum autorisée pour téléchargement
                break;
            case 3 :
                $max_size = $taille_maxi_tec; // Taille maximum autorisée pour téléchargement
                break;
            default :
                break;
        }
        $taille_maxi = sprintf('%d', ($max_size / 1024) / 1000) . ' ' . _('Mo');
        ?>
        <input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $max_size; ?>"><br/>
        <input name="dir" type="hidden" id="dir" value="<?php echo valget('dir'); ?>">
        <input name="ope" type="hidden" id="ope" value="<?php echo valget('ope') ?>">
        <input name="date" type="hidden" id="date" value="<?php echo valget('date') ?>">
        <input name="tx" type="hidden" id="tx" value="<?php echo valget('tx') ?>">
        <input name="cc" type="hidden" id="cc" value="<?php echo valget('cc') ?>">
        <input name="ci" type="hidden" id="ci" value="<?php echo valget('ci') ?>">
        <input name="search" type="hidden" id="search" value="<?php echo valget('search') ?>">
        <input name="nbutton" type="hidden" id="nbutton" value="">

        <table width="90%" border="0" cellpadding="0" cellspacing="0" align="center">
            <tr>
                <td class="rubfrm" nowrap align="right" valign="top" id="f_upload">
                    <label for="upload"><?php echo _('Fichier à télécharger'); ?> : </label>
                </td>
                <td nowrap align="left">
                    <input style="margin-left:5px;" type="file" name="upload" size="100">
                    <img src="../img/oblig.png" align="absmiddle" alt="<?php echo _('Champ obligatoire'); ?>"/>

                    <div class="annot_petit_it" style="margin-left:5px;">
                        <?php echo _('Taille maximum') ?> : <?php echo $taille_maxi; ?>
                        (<?php echo _('Téléchargement dans le répertoire courant'); ?>)
                    </div>
                </td>
            </tr>
            <tr>
                <td nowrap class="rubfrm" align="right" valign="top" id="f_name">
                    <label for="name"><?php echo _('Nom du fichier sur le serveur'); ?> : </label>
                </td>
                <td nowrap align="left">
                    <input style="margin-left:5px;" type="text" name="name" id="name" size="50">
                    <img src="../img/oblig.png" align="absmiddle" alt="<?php echo _('Champ obligatoire'); ?>"/>

                    <div class="annot_petit_it" style="margin-left:5px;">
                        (<?php echo _("Ne pas saisir d'extension. Nom converti en minuscules, espaces remplacés par des '_'"); ?>
                        )
                    </div>
                </td>
            </tr>
            <tr>
                <td nowrap class="rubfrm" align="right" valign="middle" id="f_desc">
                    <?php echo _('Nom complet'); ?> :
                </td>
                <td nowrap valign="middle" align="left">
                    <input style="margin-left:5px;" type="text" name="desc" id="desc" size="50">
                    <img src="../img/oblig.png" align="absmiddle" alt="<?php echo _('Champ obligatoire'); ?>"/>
                </td>
            </tr>
            <tr>
                <td nowrap class="rubfrm" align="right" valign="top" id="f_detail"><?php echo _('Descriptif'); ?> :</td>
                <td nowrap align="left">
                    <textarea style="margin-left:5px;" name="detail" rows="5" id="detail"></textarea>
                </td>
            </tr>
            <tr>
                <td nowrap align="right" class="annot_std_gras" valign="middle">
                    <label for="prive"><?php echo _('Privé ?'); ?> : </label>
                </td>
                <td nowrap align="left">
                    <?php
                    // On ne peut pas modifier un type privé si le dossier contenant est lui-même privé
                    $racine = $url_gfc . '/' . valget('dir');
                    if (is_prive($racine)) {
                        echo '<input type="checkbox" name="prive2" value="y" style="background : #FFFFFF;" checked="checked" disabled>';
                        echo '<input type="hidden" name="prive" value="y">';

                        echo '<span class="annot_petit_it" style="margin-left:5px;">';
                        echo ' (' . _('Impossible de modifier le mode privé car le dossier racine est déjà privé') . ')';
                        echo '</span>';
                    } else {
                        echo '<input type="checkbox" name="prive" value="y" style="background : #FFFFFF;" >';
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td nowrap align="right" class="annot_std_gras" valign="middle">
                    <label for="minlevel"><?php echo _('Niveau utilisateur ?'); ?> : </label>
                </td>
                <td nowrap align="left">
                    <?php
                    cre_select('minlevel', 'minlevel', $fictec_minlev, $_SESSION['niv_log']);
                    echo '<div class="annot_petit_it">';
                    echo _('Niveau minimum pouvant voir ces fichiers. Aucun = uniquement créateur');
                    echo '<br />' . _('Valide uniquement si privé');
                    echo '</div>';
                    ?>
                </td>
            </tr>
            <?php
            if (valget('tx') == 'int') {
                ?>
                <tr>
                    <td nowrap align="right" class="annot_std_gras" valign="middle">
                        <label for="replace"><?php echo _("Lier à l'intervention"); ?> : </label>
                    </td>
                    <td nowrap align="left">
                        <input type="checkbox" name="lier" value="y" style="background : #FFFFFF;">
                    </td>
                </tr>
                <?php
            }
            ?>
            <tr>
                <td nowrap align="right" class="annot_std_gras" valign="middle">
                    <label for="replace"><?php echo _('Remplacer sur le serveur'); ?> : </label>
                </td>
                <td nowrap align="left">
                    <input type="checkbox" name="replace" value="y"
                           style="background : #FFFFFF;" <?php if ($niv_util <> 9) {
                        echo 'disabled="disabled"';
                    } ?>>
                </td>
            </tr>
            <tr>
                <td nowrap align="right" class="annot_std_gras" valign="middle">
                    <label for="check">
                        <?php echo _('Vérifier le nom du fichier'); ?> :
                    </label>
                </td>
                <td nowrap valign="middle" align="left">
                    <input name="check" type="checkbox" value="y" style="background : #FFFFFF;"
                           checked <?php if ($niv_util <> 9) {
                        echo 'disabled="disabled"';
                    } ?>>
                </td>
            </tr>
            <tr>
                <td nowrap align="center" colspan="2">
                    <input name="val_upl" type="button" class="bton_std" id="val_upl"
                           value="<?php echo _('Envoyer'); ?>">
                    <input name="RAZ" type="reset" class="bton_std" id="RAZ" value="<?php echo _('Réinitialiser'); ?>">
                </td>
            </tr>
        </table>
    </form>
    <!--- Fin du Formulaire d'upload -->
</div>
