
#
# Mises  niveau version 1.0.4
#

--
-- Structure de la table `smi_coclcat`
--

DROP TABLE IF EXISTS `smi_coclcat`;
CREATE TABLE IF NOT EXISTS `smi_coclcat` (
  `coclcat_id` int(10) NOT NULL,
  `coclcat_code` varchar(10) NOT NULL,
  `coclcat_desc` varchar(50) NOT NULL,
  `coclcat_default` tinyint(1) NOT NULL DEFAULT '0',
  `coclcat_actif` tinyint(1) NOT NULL DEFAULT '0',
  `coclcat_typarr` tinyint(1) NOT NULL DEFAULT '3',
  `coclcat_codeper` varchar(10) NOT NULL,
  `coclcat_pourm` float(10,2) NOT NULL DEFAULT '0.00',
  `coclcat_pour1` float(10,2) NOT NULL DEFAULT '0.00',
  `coclcat_pour2` float(10,2) NOT NULL DEFAULT '0.00',
  `coclcat_pour3` float(10,2) NOT NULL DEFAULT '0.00',
  `cocl_del` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`coclcat_id`),
  KEY `coclcat_code` (`coclcat_code`),
  KEY `coclcat_codeper` (`coclcat_codeper`),
  KEY `coclcat_default` (`coclcat_default`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Catgories de contrats';

--
-- Structure de la table `smi_cocl`
--

ALTER TABLE `smi_cocl` CHANGE `cocl_codetva` `cocl_codetva` VARCHAR( 10 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL DEFAULT 'TVA20';
ALTER TABLE `smi_cocl` ADD `cocl_codecat` VARCHAR( 10 ) NOT NULL DEFAULT '-1' AFTER `cocl_code` ;
ALTER TABLE `smi_cocl` ADD INDEX ( `cocl_codecat` ) ;

--
-- Structure de la table `smi_cocla`
--

ALTER TABLE `smi_cocla` CHANGE `cocla_codetva` `cocla_codetva` VARCHAR( 10 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL DEFAULT 'TVA20';


--
-- Structure de la table `smi_pdt`
--

ALTER TABLE `smi_pdt` CHANGE `pdt_codetva` `pdt_codetva` VARCHAR( 10 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL DEFAULT 'TVA20';


--
-- Structure de la table `smi_pdti`
--

ALTER TABLE `smi_pdti` CHANGE `pdti_codetva` `pdti_codetva` VARCHAR( 10 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL DEFAULT 'TVA20';


--
-- Structure de la table `smi_pdtih`
--

ALTER TABLE `smi_pdtih` CHANGE `pdtih_codetva` `pdtih_codetva` VARCHAR( 10 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL DEFAULT 'TVA20';



--
-- Structure de la table `smi_pdtlbl`
--

ALTER TABLE `smi_pdtlbl` CHANGE `pdtlbl_codetva` `pdtlbl_codetva` VARCHAR( 10 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL DEFAULT 'TVA20';
ALTER TABLE `smi_pdtlbl`  CHANGE `pdtlbl_tvacaut` `pdtlbl_tvacaut` VARCHAR( 10 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL DEFAULT 'TVA20';
ALTER TABLE `smi_pdtlbl` CHANGE `pdtlbl_codetvaass` `pdtlbl_codetvaass` VARCHAR( 10 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL DEFAULT 'TVA20';


--
-- Structure de la table `smi_pdtlcl`
--

ALTER TABLE `smi_pdtlcl` CHANGE `pdtlcl_codetva` `pdtlcl_codetva` VARCHAR( 10 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL DEFAULT 'TVA20';


--
-- Structure de la table `smi_pdtlpl`
--

ALTER TABLE `smi_pdtlpl` CHANGE `pdtlpl_codetva` `pdtlpl_codetva` VARCHAR( 10 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL DEFAULT 'TVA20';


--
-- Structure de la table `smi_tpf`
--

ALTER TABLE `smi_tpf` CHANGE `tpf_codetva` `tpf_codetva` VARCHAR( 10 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT 'TVA20';


--
-- Structure de la table `smi_tpfi`
--

ALTER TABLE `smi_tpfi` CHANGE `tpfi_codetva` `tpfi_codetva` VARCHAR( 10 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL DEFAULT 'TVA20';


--
-- Structure de la table `smi_tpfih`
--

ALTER TABLE `smi_tpfih` CHANGE `tpfih_codetva` `tpfih_codetva` VARCHAR( 10 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL DEFAULT 'TVA20';


--
-- Structure de la table `smi_per`
--

ALTER TABLE `smi_per` ADD `per_coclcat` TINYINT( 1 ) UNSIGNED NOT NULL DEFAULT '0' AFTER `per_nbj` ;
ALTER TABLE `smi_per` ADD INDEX ( `per_coclcat` ) ;


#
# 23/10/2015
#

--
-- Structure de la table `smi_cons`
--

ALTER TABLE `smi_cons` COMMENT = 'Paramtres & Constantes';
ALTER TABLE `smi_cons` ADD `cons_coclcat_default` TINYINT( 1 ) NOT NULL DEFAULT '0';
ALTER TABLE `smi_cons` ADD `cons_coclcat_typarr` TINYINT( 1 ) NOT NULL DEFAULT '3';
ALTER TABLE `smi_cons` ADD `cons_coclcat_codeper` VARCHAR( 10 ) NOT NULL ;
ALTER TABLE `smi_cons` ADD `cons_coclcat_pourm` FLOAT( 10, 2 ) NOT NULL DEFAULT '0.00';
ALTER TABLE `smi_cons` ADD `cons_coclcat_pour1` FLOAT( 10, 2 ) NOT NULL DEFAULT '0.00';
ALTER TABLE `smi_cons` ADD `cons_coclcat_pour2` FLOAT( 10, 2 ) NOT NULL DEFAULT '0.00';
ALTER TABLE `smi_cons` ADD `cons_coclcat_pour3` FLOAT( 10, 2 ) NOT NULL DEFAULT '0.00';
ALTER TABLE `smi_cons` ADD `cons_int_coupactif` TINYINT( 1 ) NOT NULL DEFAULT '0';
ALTER TABLE `smi_cons` ADD `cons_int_coupc` TINYINT( 1 ) NOT NULL DEFAULT '0';
ALTER TABLE `smi_cons` ADD `cons_int_coupm` TINYINT( 1 ) NOT NULL DEFAULT '0';
ALTER TABLE `smi_cons` ADD `cons_int_coupma` TINYINT( 1 ) NOT NULL DEFAULT '0';
ALTER TABLE `smi_cons` ADD `cons_int_coupman` INT( 5 ) NOT NULL DEFAULT '1' AFTER `cons_int_coupma` ;
ALTER TABLE `smi_cons` ADD `cons_int_coupsdp` TINYINT( 1 ) NOT NULL DEFAULT '0';


#
# 23/11/2015
#

--
-- Structure de la table `smi_txt`
--

ALTER TABLE `smi_txt` CHANGE `txt_id` `txt_id` INT( 10 ) UNSIGNED NOT NULL AUTO_INCREMENT ;


--
-- Data de la table `smi_txt`
--

INSERT INTO `smi_txt` (`txt_id`, `txt_datecrea`, `txt_codecrea`, `txt_datemod`, `txt_codemod`, `txt_code`, `txt_entete`, `txt_desc`, `txt_texte`, `txt_delok`) VALUES(NULL, '2015-11-23', 'Administrateur', '2015-11-23', 'Administrateur', 'MDP_REN_XXX_CLI', '', 'CLIENT : Email envoy vers le client suite  demande de renouvellement de MDP', '<p>%logo_cge%<br />\r\n<strong>%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</strong><br />\r\n&nbsp;</p>\r\n\r\n<blockquote>\r\n<blockquote>\r\n<blockquote>\r\n<blockquote>\r\n<blockquote>\r\n<blockquote>\r\n<blockquote>\r\n<blockquote>\r\n<blockquote><strong>%cli_ste%</strong><br />\r\n<strong>%cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n<strong>%cli_adr1%</strong><br />\r\n<strong>%cli_adr2%</strong><br />\r\n<strong>%cp_cli% %ville_cli% </strong><br />\r\n<strong>Tel : %cli_telf%</strong><br />\r\n<strong>Fax : %cli_fax%</strong></blockquote>\r\n</blockquote>\r\n</blockquote>\r\n</blockquote>\r\n</blockquote>\r\n</blockquote>\r\n</blockquote>\r\n</blockquote>\r\n</blockquote>\r\n\r\n<p><br />\r\n%civilite1M_cli%,</p>\r\n\r\n<p>Nous venons de recevoir une demande de renouvellement de votre mot de passe depuis notre site.</p>\r\n\r\n<p>Si vous &ecirc;tes bien &agrave; l&#39;origine de cette demande et si vous souhaitez changer de mot de passe, merci de cliquer sur le lien suivant :</p>\r\n\r\n<p><a href="http://%cge_web%/newpass.php?code=%pass_code%&amp;pw=%pw_pass%">http://%cge_web%/newpass.php?code=%pw_code%&amp;pw=%pw_pass%</a></p>\r\n\r\n<p>D&egrave;s validation, vous recevrez votre nouveau mot de passe.</p>\r\n\r\n<p>Merci de votre demande.</p>\r\n\r\n<p>L&#39;administrateur du site</p>\r\n', 0);


#
# 25/02/2016
#

--
-- Structure de la table `smi_per`
--

UPDATE `smi_per` SET `per_coclcat` = '1' WHERE `per_code` = 'AN';